package cn.com.ctop.job.kuaishou.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手账户操作记录
 *
 * @author jeecg-boot
 * @date 2021-09-07
 * @version V1.0
 */
@Data
@TableName("kuaishou_tools_advertiser_operation_record_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_tools_advertiser_operation_record_list对象", description = "快手账户操作记录")
public class KuaishouAccountOperationRecordList {

  /** 主键ID */
  @TableId(type = IdType.UUID)
  @ApiModelProperty(value = "主键ID")
  private int id;


  private Long advertiserId;

  /** 操作对象ID */
  @ApiModelProperty(value = "操作对象ID")
  private String objectId;


  @ApiModelProperty(value = "操作对象名称")
  private String objectName;

  /** 操作类型 1：新增 2：修改 */
  @ApiModelProperty(value = "操作类型 1：新增 2：修改")
  private int operationType;

  /** 操作目标类型 1：账户 2：计划 3：广告组 4：创意 5：视频 6：应用 7：人群包 */
  @ApiModelProperty(value = "操作目标类型 1：账户 2：计划 3：广告组 4：创意 5：视频 6：应用 7：人群包")
  private Integer operationTarget;

  /** 访问操作人 1：广告主 2：代理商 3：系统 4：管理员 5：Market Api令牌 */
  @ApiModelProperty(value = "操作人 1：广告主 2：代理商 3：系统 4：管理员 5：Market Api")
  private String roleType;
  /** 操作时间 */
  @ApiModelProperty(value = "操作时间")
  private String operationTime;

  /** 日志内容[field_name:字段名称 original_data:原始数据 update_data:修改数据] */
  @ApiModelProperty(value = "日志内容[field_name:字段名称 original_data:原始数据 update_data:修改数据]")
  private String contentLog;

  /** 创建时间 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty(value = "创建时间")
  private Date createTime;

}
