package cn.com.ctop.job.kuaishou.data.entity;

import cn.com.ctop.job.kuaishou.data.utils.DateUtils;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 快手-账户时报
 *
 * @author jeecg-boot
 * @date 2021-09-08
 * @version V1.0
 */
@Data
@TableName("kuaishou_account_report_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_account_report_hourly对象", description = "快手-账户时报")
public class KuaishouAccountReportHourly {

  /** 广告主id */
  @Excel(name = "广告主id", width = 15)
  @ApiModelProperty(value = "广告主id")
  private Long advertiserId;
  /** 数据日期，格式：YYYYMMDD */
  @Excel(name = "数据日期，格式：YYYYMMDD", width = 15)
  @ApiModelProperty(value = "数据日期，格式：YYYYMMDD")
  private Integer statDate;
  /** 小时 */
  @Excel(name = "小时", width = 15)
  @ApiModelProperty(value = "小时")
  private Integer hour;
  /** 花费（元） */
  @Excel(name = "花费（元）", width = 15)
  @ApiModelProperty(value = "花费（元）")
  private java.math.BigDecimal charge;
  /** 封面曝光数 */
  @Excel(name = "封面曝光数", width = 15)
  @ApiModelProperty(value = "封面曝光数")
  private Long show;
  /** 封面点击数 */
  @Excel(name = "封面点击数", width = 15)
  @ApiModelProperty(value = "封面点击数")
  private Long photoClick;
  /** 素材曝光数 */
  @Excel(name = "素材曝光数", width = 15)
  @ApiModelProperty(value = "素材曝光数")
  private Long aclick;
  /** 行为数 */
  @Excel(name = "行为数", width = 15)
  @ApiModelProperty(value = "行为数")
  private Long bclick;
  /** 封面点击率 */
  @Excel(name = "封面点击率", width = 15)
  @ApiModelProperty(value = "封面点击率")
  private java.math.BigDecimal photoClickRatio;
  /** 3s播放率 */
  @Excel(name = "3s播放率", width = 15)
  @ApiModelProperty(value = "3s播放率")
  private java.math.BigDecimal play3sRatio;
  /** 行为率 */
  @Excel(name = "行为率", width = 15)
  @ApiModelProperty(value = "行为率")
  private java.math.BigDecimal actionRatio;
  /** 平均千次曝光花费（元） */
  @Excel(name = "平均千次曝光花费（元）", width = 15)
  @ApiModelProperty(value = "平均千次曝光花费（元）")
  private java.math.BigDecimal impression1kCost;
  /** 平均点击单价（元） */
  @Excel(name = "平均点击单价（元）", width = 15)
  @ApiModelProperty(value = "平均点击单价（元）")
  private java.math.BigDecimal photoClickCost;
  /** 平均行为单价（元） */
  @Excel(name = "平均行为单价（元）", width = 15)
  @ApiModelProperty(value = "平均行为单价（元）")
  private java.math.BigDecimal actionCost;
  /** 分享数 */
  @Excel(name = "分享数", width = 15)
  @ApiModelProperty(value = "分享数")
  private Long share;
  /** 评论数 */
  @Excel(name = "评论数", width = 15)
  @ApiModelProperty(value = "评论数")
  private Long comment;
  /** 点赞数 */
  @Excel(name = "点赞数", width = 15)
  @ApiModelProperty(value = "点赞数")
  private Long like;
  /** 新增关注数 */
  @Excel(name = "新增关注数", width = 15)
  @ApiModelProperty(value = "新增关注数")
  private Long follow;
  /** 取消关注数 */
  @Excel(name = "取消关注数", width = 15)
  @ApiModelProperty(value = "取消关注数")
  private Long cancelFollow;
  /** 举报数 */
  @Excel(name = "举报数", width = 15)
  @ApiModelProperty(value = "举报数")
  private Long report;
  /** 拉黑数 */
  @Excel(name = "拉黑数", width = 15)
  @ApiModelProperty(value = "拉黑数")
  private Long block;
  /** 减少此类作品数 */
  @Excel(name = "减少此类作品数", width = 15)
  @ApiModelProperty(value = "减少此类作品数")
  private Long negative;
  /** 提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段） */
  @Excel(name = "提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段）", width = 15)
  @ApiModelProperty(value = "提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段）")
  private Long submit;
  /** 应用下载数据-安卓下载开始数 */
  @Excel(name = "应用下载数据-安卓下载开始数", width = 15)
  @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
  private Long downloadStarted;
  /** 应用下载数据-安卓下载完成数 */
  @Excel(name = "应用下载数据-安卓下载完成数", width = 15)
  @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
  private Long downloadCompleted;
  /** 应用下载数据-激活数 */
  @Excel(name = "应用下载数据-激活数", width = 15)
  @ApiModelProperty(value = "应用下载数据-激活数")
  private Long activation;
  /** 应用下载数据-首日付费次数 */
  @Excel(name = "应用下载数据-首日付费次数", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日付费次数")
  private Long eventPayFirstDay;
  /** 应用下载数据-首日付费金额 */
  @Excel(name = "应用下载数据-首日付费金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日付费金额")
  private java.math.BigDecimal eventPayPurchaseAmountFirstDay;
  /** 应用下载数据-首日ROI */
  @Excel(name = "应用下载数据-首日ROI", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日ROI")
  private java.math.BigDecimal eventPayFirstDayRoi;
  /** 应用下载数据-付费次数 */
  @Excel(name = "应用下载数据-付费次数", width = 15)
  @ApiModelProperty(value = "应用下载数据-付费次数")
  private Long eventPay;
  /** 应用下载数据-付费金额 */
  @Excel(name = "应用下载数据-付费金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-付费金额")
  private java.math.BigDecimal eventPayPurchaseAmount;
  /** 应用下载数据-ROI */
  @Excel(name = "应用下载数据-ROI", width = 15)
  @ApiModelProperty(value = "应用下载数据-ROI")
  private java.math.BigDecimal eventPayRoi;
  /** 应用下载数据-注册数 */
  @Excel(name = "应用下载数据-注册数", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册数")
  private Long eventRegister;
  /** 应用下载数据-注册成本 */
  @Excel(name = "应用下载数据-注册成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册成本")
  private java.math.BigDecimal eventRegisterCost;
  /** 应用下载数据-注册率 */
  @Excel(name = "应用下载数据-注册率", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册率")
  private java.math.BigDecimal eventRegisterRatio;
  /** 应用下载数据-完件数 */
  @Excel(name = "应用下载数据-完件数", width = 15)
  @ApiModelProperty(value = "应用下载数据-完件数")
  private Long eventJinJianApp;
  /** 应用下载数据-完件成本 */
  @Excel(name = "应用下载数据-完件成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-完件成本")
  private java.math.BigDecimal eventJinJianAppCost;
  /** 应用下载数据-授信数 */
  @Excel(name = "应用下载数据-授信数", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信数")
  private Long eventCreditGrantApp;
  /** 应用下载数据-授信成本 */
  @Excel(name = "应用下载数据-授信成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信成本")
  private java.math.BigDecimal eventCreditGrantAppCost;
  /** 应用下载数据-授信率 */
  @Excel(name = "应用下载数据-授信率", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信率")
  private java.math.BigDecimal eventCreditGrantAppRatio;
  /** 应用下载数据-付款成功数 */
  @Excel(name = "应用下载数据-付款成功数", width = 15)
  @ApiModelProperty(value = "应用下载数据-付款成功数")
  private Long eventOrderPaid;
  /** 应用下载数据-付款成功金额 */
  @Excel(name = "应用下载数据-付款成功金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-付款成功金额")
  private java.math.BigDecimal eventOrderPaidPurchaseAmount;
  /** 应用下载数据-单次付款成本 */
  @Excel(name = "应用下载数据-单次付款成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-单次付款成本")
  private java.math.BigDecimal eventOrderPaidCost;
  /** 应用下载数据-次留数（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
  private Long eventNextDayStay;
  /** 应用下载数据-次留成本（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留成本（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留成本（仅支持分日查询）")
  private java.math.BigDecimal eventNextDayStayCost;
  /** 应用下载数据-次留率（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留率（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留率（仅支持分日查询）")
  private java.math.BigDecimal eventNextDayStayRatio;
  /** 落地页数据-表单提交数 */
  @Excel(name = "落地页数据-表单提交数", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交数")
  private Long formCount;
  /** 落地页数据-表单提交单价 */
  @Excel(name = "落地页数据-表单提交单价", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交单价")
  private java.math.BigDecimal formCost;
  /** 落地页数据-表单提交点击率 */
  @Excel(name = "落地页数据-表单提交点击率", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交点击率")
  private java.math.BigDecimal formActionRatio;
  /** 落地页数据-落地页完件数 */
  @Excel(name = "落地页数据-落地页完件数", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页完件数")
  private Long eventJinJianLandingPage;
  /** 落地页数据-落地页完件成本 */
  @Excel(name = "落地页数据-落地页完件成本", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页完件成本")
  private java.math.BigDecimal eventJinJianLandingPageCost;
  /** 落地页数据-落地页授信数 */
  @Excel(name = "落地页数据-落地页授信数", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信数")
  private Long eventCreditGrantLandingPage;
  /** 落地页数据-落地页授信成本 */
  @Excel(name = "落地页数据-落地页授信成本", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信成本")
  private java.math.BigDecimal eventCreditGrantLandingPageCost;
  /** 落地页数据-落地页授信率 */
  @Excel(name = "落地页数据-落地页授信率", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信率")
  private java.math.BigDecimal eventCreditGrantLandingPageRatio;
  /** 落地页数据-有效线索数 */
  @Excel(name = "落地页数据-有效线索数", width = 15)
  @ApiModelProperty(value = "落地页数据-有效线索数")
  private Long eventValidClues;
  /** 落地页数据-有效线索成本 */
  @Excel(name = "落地页数据-有效线索成本", width = 15)
  @ApiModelProperty(value = "落地页数据-有效线索成本")
  private java.math.BigDecimal eventValidCluesCost;
  /** 微信复制数 */
  @Excel(name = "微信复制数", width = 15)
  @ApiModelProperty(value = "微信复制数")
  private Long eventAddWechat;
  /** 微信复制成本 */
  @Excel(name = "微信复制成本", width = 15)
  @ApiModelProperty(value = "微信复制成本")
  private java.math.BigDecimal eventAddWechatCost;
  /** 微信复制率 */
  @Excel(name = "微信复制率", width = 15)
  @ApiModelProperty(value = "微信复制率")
  private java.math.BigDecimal eventAddWechatRatio;
  /** 智能电话-确认接通数 */
  @Excel(name = "智能电话-确认接通数", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通数")
  private Long eventGetThrough;
  /** 智能电话-确认接通成本 */
  @Excel(name = "智能电话-确认接通成本", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通成本")
  private java.math.BigDecimal eventGetThroughCost;
  /** 智能电话-确认接通率 */
  @Excel(name = "智能电话-确认接通率", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通率")
  private java.math.BigDecimal eventGetThroughRatio;
  /** 唤醒应用数 */
  @Excel(name = "唤醒应用数", width = 15)
  @ApiModelProperty(value = "唤醒应用数")
  private Long eventAppInvoked;
  /** 唤醒应用成本 */
  @Excel(name = "唤醒应用成本", width = 15)
  @ApiModelProperty(value = "唤醒应用成本")
  private java.math.BigDecimal eventAppInvokedCost;
  /** 唤醒应用率 */
  @Excel(name = "唤醒应用率", width = 15)
  @ApiModelProperty(value = "唤醒应用率")
  private java.math.BigDecimal eventAppInvokedRatio;
  /** 落地页授信率 */
  @Excel(name = "落地页授信率", width = 15)
  @ApiModelProperty(value = "落地页授信率")
  private java.math.BigDecimal eventCreditGrantLandingRatio;
  /** 5s播放率 */
  @Excel(name = "5s播放率", width = 15)
  @ApiModelProperty(value = "5s播放率")
  private java.math.BigDecimal play5sRatio;
  /** 完播率 */
  @Excel(name = "完播率", width = 15)
  @ApiModelProperty(value = "完播率")
  private java.math.BigDecimal playEndRatio;
  /** 新增付费人数 */
  @Excel(name = "新增付费人数", width = 15)
  @ApiModelProperty(value = "新增付费人数")
  private java.math.BigDecimal eventNewUserPay;
  /** 新增付费人数成本 */
  @Excel(name = "新增付费人数成本", width = 15)
  @ApiModelProperty(value = "新增付费人数成本")
  private java.math.BigDecimal eventNewUserPayCost;
  /** 新增付费人数率 */
  @Excel(name = "新增付费人数率", width = 15)
  @ApiModelProperty(value = "新增付费人数率")
  private java.math.BigDecimal eventNewUserPayRatio;
  /** 平均千次素材曝光花费(元) */
  @Excel(name = "平均千次素材曝光花费(元)", width = 15)
  @ApiModelProperty(value = "平均千次素材曝光花费(元)")
  private java.math.BigDecimal click1kCost;
  /** 商品成交数 */
  @Excel(name = "商品成交数", width = 15)
  @ApiModelProperty(value = "商品成交数")
  private Long adProductCnt;
  /** 商品访问数 */
  @Excel(name = "商品访问数", width = 15)
  @ApiModelProperty(value = "商品访问数")
  private Long eventGoodsView;
  /** 涨粉量 */
  @Excel(name = "涨粉量", width = 15)
  @ApiModelProperty(value = "涨粉量")
  private Long merchantRecoFans;
  /** 小店推广roi */
  @Excel(name = "小店推广roi", width = 15)
  @ApiModelProperty(value = "小店推广roi")
  private java.math.BigDecimal eventOrderAmountRoi;
  /** 商品访问成本 */
  @Excel(name = "商品访问成本", width = 15)
  @ApiModelProperty(value = "商品访问成本")
  private java.math.BigDecimal eventGoodsViewCost;
  /** 涨粉成本 */
  @Excel(name = "涨粉成本", width = 15)
  @ApiModelProperty(value = "涨粉成本")
  private java.math.BigDecimal merchantRecoFansCost;
  /** 按钮点击数 */
  @Excel(name = "按钮点击数", width = 15)
  @ApiModelProperty(value = "按钮点击数")
  private Long eventButtonClick;
  /** 按钮点击成本 */
  @Excel(name = "按钮点击成本", width = 15)
  @ApiModelProperty(value = "按钮点击成本")
  private java.math.BigDecimal eventButtonClickCost;
  /** 按钮点击率 */
  @Excel(name = "按钮点击率", width = 15)
  @ApiModelProperty(value = "按钮点击率")
  private java.math.BigDecimal eventButtonClickRatio;
  /** 订单支付率 */
  @Excel(name = "订单支付率", width = 15)
  @ApiModelProperty(value = "订单支付率")
  private java.math.BigDecimal eventOrderPaidRoi;
  /** 新增完件人数 */
  @Excel(name = "新增完件人数", width = 15)
  @ApiModelProperty(value = "新增完件人数")
  private Long eventNewUserJinjianApp;
  /** 新增完件成本 */
  @Excel(name = "新增完件成本", width = 15)
  @ApiModelProperty(value = "新增完件成本")
  private java.math.BigDecimal eventNewUserJinjianAppCost;
  /** 新增完件人数率 */
  @Excel(name = "新增完件人数率", width = 15)
  @ApiModelProperty(value = "新增完件人数率")
  private java.math.BigDecimal eventNewUserJinjianAppRoi;
  /** 新增授信人数 */
  @Excel(name = "新增授信人数", width = 15)
  @ApiModelProperty(value = "新增授信人数")
  private Long eventNewUserCreditGrantApp;
  /** 新增授信人数成本 */
  @Excel(name = "新增授信人数成本", width = 15)
  @ApiModelProperty(value = "新增授信人数成本")
  private java.math.BigDecimal eventNewUserCreditGrantAppCost;
  /** 新增授信人数率 */
  @Excel(name = "新增授信人数率", width = 15)
  @ApiModelProperty(value = "新增授信人数率")
  private java.math.BigDecimal eventNewUserCreditGrantAppRoi;
  /** eventNewUserJinjianPage */
  @Excel(name = "eventNewUserJinjianPage", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPage")
  private Long eventNewUserJinjianPage;
  /** eventNewUserJinjianPageCost */
  @Excel(name = "eventNewUserJinjianPageCost", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPageCost")
  private java.math.BigDecimal eventNewUserJinjianPageCost;
  /** eventNewUserJinjianPageRoi */
  @Excel(name = "eventNewUserJinjianPageRoi", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPageRoi")
  private java.math.BigDecimal eventNewUserJinjianPageRoi;
  /** eventNewUserCreditGrantPage */
  @Excel(name = "eventNewUserCreditGrantPage", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPage")
  private Long eventNewUserCreditGrantPage;
  /** eventNewUserCreditGrantPageCost */
  @Excel(name = "eventNewUserCreditGrantPageCost", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPageCost")
  private java.math.BigDecimal eventNewUserCreditGrantPageCost;
  /** eventNewUserCreditGrantPageRoi */
  @Excel(name = "eventNewUserCreditGrantPageRoi", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPageRoi")
  private java.math.BigDecimal eventNewUserCreditGrantPageRoi;
  /** 预约表单数 */
  @Excel(name = "预约表单数", width = 15)
  @ApiModelProperty(value = "预约表单数")
  private Long eventAppointForm;
  /** 预约表单点击成本 */
  @Excel(name = "预约表单点击成本", width = 15)
  @ApiModelProperty(value = "预约表单点击成本")
  private java.math.BigDecimal eventAppointFormCost;
  /** 预约表单点击率 */
  @Excel(name = "预约表单点击率", width = 15)
  @ApiModelProperty(value = "预约表单点击率")
  private java.math.BigDecimal eventAppointFormRatio;
  /** 预约跳转点击数 */
  @Excel(name = "预约跳转点击数", width = 15)
  @ApiModelProperty(value = "预约跳转点击数")
  private Long eventAppointJumpClick;
  /** 预约跳转点击成本 */
  @Excel(name = "预约跳转点击成本", width = 15)
  @ApiModelProperty(value = "预约跳转点击成本")
  private java.math.BigDecimal eventAppointJumpClickCost;
  /** 预约跳转点击率 */
  @Excel(name = "预约跳转点击率", width = 15)
  @ApiModelProperty(value = "预约跳转点击率")
  private java.math.BigDecimal eventAppointJumpClickRatio;
  /** 联盟广告收入 */
  @Excel(name = "联盟广告收入", width = 15)
  @ApiModelProperty(value = "联盟广告收入")
  private Long unionEventPayPurchaseAmount7d;
  /** 联盟变现ROI */
  @Excel(name = "联盟变现ROI", width = 15)
  @ApiModelProperty(value = "联盟变现ROI")
  private java.math.BigDecimal unionEventPayPurchaseAmount7dRoi;
  /** placementType */
  @Excel(name = "placementType", width = 15)
  @ApiModelProperty(value = "placementType")
  private String placementType;
  /** adScene */
  @Excel(name = "adScene", width = 15)
  @ApiModelProperty(value = "adScene")
  private String adScene;
  /** eventOrderSuccessed */
  @Excel(name = "eventOrderSuccessed", width = 15)
  @ApiModelProperty(value = "eventOrderSuccessed")
  private Long eventOrderSuccessed;
  /** adPhotoPlayed10sRatio */
  @Excel(name = "adPhotoPlayed10sRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed10sRatio")
  private java.math.BigDecimal adPhotoPlayed10sRatio;
  /** keyActionCost */
  @Excel(name = "keyActionCost", width = 15)
  @ApiModelProperty(value = "keyActionCost")
  private java.math.BigDecimal keyActionCost;
  /** 添加购物车成本 */
  @Excel(name = "添加购物车成本", width = 15)
  @ApiModelProperty(value = "添加购物车成本")
  private java.math.BigDecimal eventAddShoppingCartCost;
  /** 广告观看次数转化率 */
  @Excel(name = "广告观看次数转化率", width = 15)
  @ApiModelProperty(value = "广告观看次数转化率")
  private java.math.BigDecimal eventAdWatchTimesRatio;
  /** eventOutboundCallCost */
  @Excel(name = "eventOutboundCallCost", width = 15)
  @ApiModelProperty(value = "eventOutboundCallCost")
  private java.math.BigDecimal eventOutboundCallCost;
  /** eventOutboundCall */
  @Excel(name = "eventOutboundCall", width = 15)
  @ApiModelProperty(value = "eventOutboundCall")
  private Long eventOutboundCall;
  /** actionNewRatio */
  @Excel(name = "actionNewRatio", width = 15)
  @ApiModelProperty(value = "actionNewRatio")
  private java.math.BigDecimal actionNewRatio;
  /** 广告观看 */
  @Excel(name = "广告观看", width = 15)
  @ApiModelProperty(value = "广告观看")
  private Long eventWatchAppAd;
  /** 落地页多转化成本 */
  @Excel(name = "落地页多转化成本", width = 15)
  @ApiModelProperty(value = "落地页多转化成本")
  private java.math.BigDecimal eventMultiConversionCost;
  /** eventPhoneCardActivate */
  @Excel(name = "eventPhoneCardActivate", width = 15)
  @ApiModelProperty(value = "eventPhoneCardActivate")
  private Long eventPhoneCardActivate;
  /** adPhotoPlayed75percentRatio */
  @Excel(name = "adPhotoPlayed75percentRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed75percentRatio")
  private java.math.BigDecimal adPhotoPlayed75percentRatio;
  /** keyActionRatio */
  @Excel(name = "keyActionRatio", width = 15)
  @ApiModelProperty(value = "keyActionRatio")
  private java.math.BigDecimal keyActionRatio;
  /** 广告观看次数成本 */
  @Excel(name = "广告观看次数成本", width = 15)
  @ApiModelProperty(value = "广告观看次数成本")
  private java.math.BigDecimal eventAdWatchTimesCost;
  /** 添加购物车数 */
  @Excel(name = "添加购物车数", width = 15)
  @ApiModelProperty(value = "添加购物车数")
  private Long eventAddShoppingCart;
  /** keyAction */
  @Excel(name = "keyAction", width = 15)
  @ApiModelProperty(value = "keyAction")
  private Long keyAction;
  /** 落地页多转化次数 */
  @Excel(name = "落地页多转化次数", width = 15)
  @ApiModelProperty(value = "落地页多转化次数")
  private Long eventMultiConversion;
  /** eventWechatConnected */
  @Excel(name = "eventWechatConnected", width = 15)
  @ApiModelProperty(value = "eventWechatConnected")
  private Long eventWechatConnected;
  /** 附加组件表单提交 */
  @Excel(name = "附加组件表单提交", width = 15)
  @ApiModelProperty(value = "附加组件表单提交")
  private Long eventDspGiftForm;
  /** eventIntentionConfirmed */
  @Excel(name = "eventIntentionConfirmed", width = 15)
  @ApiModelProperty(value = "eventIntentionConfirmed")
  private Long eventIntentionConfirmed;
  /** eventPhoneGetThrough */
  @Excel(name = "eventPhoneGetThrough", width = 15)
  @ApiModelProperty(value = "eventPhoneGetThrough")
  private Long eventPhoneGetThrough;
  /** 落地页多转化率 */
  @Excel(name = "落地页多转化率", width = 15)
  @ApiModelProperty(value = "落地页多转化率")
  private java.math.BigDecimal eventMultiConversionRatio;
  /** eventMeasurementHouse */
  @Excel(name = "eventMeasurementHouse", width = 15)
  @ApiModelProperty(value = "eventMeasurementHouse")
  private java.math.BigDecimal eventMeasurementHouse;
  /** adPhotoPlayed2sRatio */
  @Excel(name = "adPhotoPlayed2sRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed2sRatio")
  private java.math.BigDecimal adPhotoPlayed2sRatio;
  /** eventOutboundCallRatio */
  @Excel(name = "eventOutboundCallRatio", width = 15)
  @ApiModelProperty(value = "eventOutboundCallRatio")
  private java.math.BigDecimal eventOutboundCallRatio;
  /** 广告观看次数 */
  @Excel(name = " 广告观看次数", width = 15)
  @ApiModelProperty(value = " 广告观看次数")
  private Long eventAdWatchTimes;


  @ApiModelProperty(value = " 激活后24h付费金额(激活时间)")
  private BigDecimal eventPayPurchaseAmountOneDayByConversion;



  private Long eventDrawCreditLine;
  private Long adPhotoPlayed10s;
  private Long adPhotoPlayed2s;
  private Long adPhotoPlayed75percent;
  private BigDecimal approxPayCost;
  private Long approxPayCount;
  private BigDecimal approxPayRatio;
  private Long cancelLike;
  private BigDecimal clickConversionRatio;
  private BigDecimal conversionCost;
  private BigDecimal conversionCostByImpression7d;
  private Long conversionNum;
  private Long conversionNumByImpression7d;
  private BigDecimal conversionNumCost;
  private BigDecimal conversionRatio;
  private BigDecimal conversionRatioByImpression7d;
  private BigDecimal deepConversionCost;
  private BigDecimal deepConversionCostByImpression7d;
  private Long deepConversionNum;
  private Long deepConversionNumByImpression7d;
  private Long deepConversionRatio;
  private BigDecimal deepConversionRatioByImpression7d;
  private BigDecimal downloadCompletedCost;
  private BigDecimal downloadCompletedRatio;
  private BigDecimal downloadConversionRatio;
  private Long downloadInstalled;
  private BigDecimal downloadStartedCost;
  private BigDecimal downloadStartedRatio;
  private Long event24hStay;
  private Long event24hStayByConversion;
  private BigDecimal event24hStayByConversionCost;
  private BigDecimal event24hStayByConversionRatio;
  private BigDecimal event24hStayCost;
  private BigDecimal event24hStayRatio;
  private Long eventAdWatch10Times;
  private BigDecimal eventAdWatch10TimesCost;
  private BigDecimal eventAdWatch10TimesRatio;
  private Long eventAdWatch20Times;
  private BigDecimal eventAdWatch20TimesCost;
  private BigDecimal eventAdWatch20TimesRatio;
  private Long eventAdWatch5Times;
  private BigDecimal eventAdWatch5TimesCost;
  private BigDecimal eventAdWatch5TimesRatio;
  private Long eventAudition;
  private Long eventConsultationValidRetained;
  private BigDecimal eventConsultationValidRetainedCost;
  private BigDecimal eventConsultationValidRetainedRatio;
  private BigDecimal eventConversionClickCost;
  private BigDecimal eventConversionClickRatio;
  private Long eventCreditGrantFirstDayApp;
  private BigDecimal eventCreditGrantFirstDayAppCost;
  private BigDecimal eventCreditGrantFirstDayAppRatio;
  private Long eventCreditGrantFirstDayLandingPage;
  private BigDecimal eventCreditGrantFirstDayLandingPageCost;
  private BigDecimal eventCreditGrantFirstDayLandingPageRatio;
  private Long eventMakingCalls;
  private BigDecimal eventMakingCallsCost;
  private BigDecimal eventMakingCallsRatio;
  private Long eventOrderSubmit;
  private BigDecimal eventPayPurchaseAmountOneDay;
  private BigDecimal eventPayPurchaseAmountOneDayByConversionRoi;
  private BigDecimal eventPayPurchaseAmountOneDayRoi;
  private BigDecimal eventPayPurchaseAmountThreeDayByConversion;
  private BigDecimal eventPayPurchaseAmountThreeDayByConversionRoi;
  private BigDecimal eventPayPurchaseAmountWeekByConversion;
  private BigDecimal eventPayPurchaseAmountWeekByConversionRoi;
  private Long eventPayWeekByConversion;
  private BigDecimal eventPayWeekByConversionCost;
  private BigDecimal eventPayWeightedPurchaseAmount;
  private BigDecimal eventPayWeightedPurchaseAmountFirstDay;
  private Long eventPreComponentConsultationValidRetained;
  private Long eventThreeDayStayByConversion;
  private BigDecimal eventThreeDayStayByConversionCost;
  private BigDecimal eventThreeDayStayByConversionRatio;
  private Long eventWechatQrCodeLinkClick;
  private Long eventWeekStayByConversion;
  private BigDecimal eventWeekStayByConversionCost;
  private BigDecimal eventWeekStayByConversionRatio;
  private Long liveEventGoodsView;
  private Long livePlayed3s;
  private Long playedEnd;
  private Long playedFiveSeconds;
  private Long playedThreeSeconds;
  private Long eventNextDayStayNew;
  private BigDecimal eventNextDayStayNewCost;
  private BigDecimal eventNextDayStayNewRatio;
  private BigDecimal adShow;
  private Long eventCreditCardRecheck;
  private Long eventCreditCardRecheckFirstDay;
  private Long eventNoIntention;
  private BigDecimal eventMultiPaySevenDayByConversion;
  private BigDecimal eventMultiPaySevenDayByConversionCost;
  private BigDecimal mcbLeftTimePerfCpaBid;
  private BigDecimal mcbLeftTimePerfRoiRatio;
  private BigDecimal mcbAllDayPerfCpaBid;
  private BigDecimal mcbAllDayPerfRoiRatio;
  private Long liveRoomAvgPlayedSeconds;
  private Long adLiveShare;
  private Long adLiveComment;
  private Long livePlayedStarted;
  private BigDecimal livePlayedStartedCost;
  private Long adLiveFollow;
  private BigDecimal adLiveFollowCost;
  private Long simpleLivePlayedStarted;
  private Long standardLivePlayedStarted;
  private Long conversionComponentImpression;
  private Long conversionComponentClick;
  private BigDecimal conversionComponentRate;
  private Long adLandingPageImpression;
  private Long adAppDownloadHalfImpression;

  private BigDecimal minigameIaaPurchaseAmount;
  private BigDecimal minigameIaaPurchaseRoi;




  public static KuaishouAccountReportHourly getKuaishouAccountReportHourInfo(JSONObject returnJson){

    KuaishouAccountReportHourly reportHourly = new KuaishouAccountReportHourly();

    reportHourly.setStatDate(DateUtils.getDateInteger(returnJson.getString("stat_date")));
    reportHourly.setHour(returnJson.getInteger("stat_hour"));
    reportHourly.setCharge(returnJson.getBigDecimal("charge"));
    reportHourly.setShow(returnJson.getLong("show"));
    reportHourly.setPhotoClick(returnJson.getLong("photo_click"));
    reportHourly.setAclick(returnJson.getLong("aclick"));
    reportHourly.setBclick(returnJson.getLong("bclick"));
    reportHourly.setPhotoClickRatio(returnJson.getBigDecimal("photo_click_ratio"));
    reportHourly.setPlay3sRatio(returnJson.getBigDecimal("play_3s_ratio"));
    reportHourly.setActionRatio(returnJson.getBigDecimal("action_ratio"));
    reportHourly.setImpression1kCost(returnJson.getBigDecimal("impression_1k_cost"));
    reportHourly.setPhotoClickCost(returnJson.getBigDecimal("photo_click_cost"));
    reportHourly.setActionCost(returnJson.getBigDecimal("action_cost"));
    reportHourly.setShare(returnJson.getLong("share"));
    reportHourly.setComment(returnJson.getLong("comment"));
    reportHourly.setLike(returnJson.getLong("like"));
    reportHourly.setFollow(returnJson.getLong("follow"));
    reportHourly.setCancelFollow(returnJson.getLong("cancel_follow"));
    reportHourly.setReport(returnJson.getLong("report"));
    reportHourly.setBlock(returnJson.getLong("block"));
    reportHourly.setNegative(returnJson.getLong("negative"));
    reportHourly.setSubmit(returnJson.getLong("submit"));
    reportHourly.setDownloadStarted(returnJson.getLong("download_started"));
    reportHourly.setDownloadCompleted(returnJson.getLong("download_completed"));
    reportHourly.setActivation(returnJson.getLong("activation"));
    reportHourly.setEventPayFirstDay(returnJson.getLong("event_pay_first_day"));
    reportHourly.setEventPayPurchaseAmountFirstDay(returnJson.getBigDecimal("event_pay_purchase_amount_first_day"));
    reportHourly.setEventPayFirstDayRoi(returnJson.getBigDecimal("event_pay_first_day_roi"));
    reportHourly.setEventPay(returnJson.getLong("event_pay"));
    reportHourly.setEventPayPurchaseAmount(returnJson.getBigDecimal("event_pay_purchase_amount"));
    reportHourly.setEventPayRoi(returnJson.getBigDecimal("event_pay_roi"));
    reportHourly.setEventRegister(returnJson.getLong("event_register"));
    reportHourly.setEventRegisterCost(returnJson.getBigDecimal("event_register_cost"));
    reportHourly.setEventRegisterRatio(returnJson.getBigDecimal("event_register_ratio"));
    reportHourly.setEventJinJianApp(returnJson.getLong("event_jin_jian_app"));
    reportHourly.setEventJinJianAppCost(returnJson.getBigDecimal("event_jin_jian_app_cost"));
    reportHourly.setEventCreditGrantApp(returnJson.getLong("event_credit_grant_app"));
    reportHourly.setEventCreditGrantAppCost(returnJson.getBigDecimal("event_credit_grant_app_cost"));
    reportHourly.setEventCreditGrantAppRatio(returnJson.getBigDecimal("event_credit_grant_app_ratio"));
    reportHourly.setEventOrderPaid(returnJson.getLong("event_order_paid"));
    reportHourly.setEventOrderPaidPurchaseAmount(returnJson.getBigDecimal("event_order_paid_purchase_amount"));
    reportHourly.setEventOrderPaidCost(returnJson.getBigDecimal("event_order_paid_cost"));
    reportHourly.setEventNextDayStay(returnJson.getLong("event_next_day_stay"));
    reportHourly.setEventNextDayStayCost(returnJson.getBigDecimal("event_next_day_stay_cost"));
    reportHourly.setEventNextDayStayRatio(returnJson.getBigDecimal("event_next_day_stay_ratio"));
    reportHourly.setFormCount(returnJson.getLong("form_count"));
    reportHourly.setFormCost(returnJson.getBigDecimal("form_cost"));
    reportHourly.setFormActionRatio(returnJson.getBigDecimal("form_action_ratio"));
    reportHourly.setEventJinJianLandingPage(returnJson.getLong("event_jin_jian_landing_page"));
    reportHourly.setEventJinJianLandingPageCost(returnJson.getBigDecimal("event_jin_jian_landing_page_cost"));
    reportHourly.setEventCreditGrantLandingPage(returnJson.getLong("event_credit_grant_landing_page"));
    reportHourly.setEventCreditGrantLandingPageCost(returnJson.getBigDecimal("event_credit_grant_landing_page_cost"));
    reportHourly.setEventCreditGrantLandingPageRatio(returnJson.getBigDecimal("event_credit_grant_landing_page_ratio"));
    reportHourly.setEventValidClues(returnJson.getLong("event_valid_clues"));
    reportHourly.setEventValidCluesCost(returnJson.getBigDecimal("event_valid_clues_cost"));
    reportHourly.setEventAddWechat(returnJson.getLong("event_add_wechat"));
    reportHourly.setEventAddWechatCost(returnJson.getBigDecimal("event_add_wechat_cost"));
    reportHourly.setEventAddWechatRatio(returnJson.getBigDecimal("event_add_wechat_ratio"));
    reportHourly.setEventGetThrough(returnJson.getLong("event_get_through"));
    reportHourly.setEventGetThroughCost(returnJson.getBigDecimal("event_get_through_cost"));
    reportHourly.setEventGetThroughRatio(returnJson.getBigDecimal("event_get_through_ratio"));
    reportHourly.setEventAppInvoked(returnJson.getLong("event_app_invoked"));
    reportHourly.setEventAppInvokedCost(returnJson.getBigDecimal("event_app_invoked_cost"));
    reportHourly.setEventAppInvokedRatio(returnJson.getBigDecimal("event_app_invoked_ratio"));
    reportHourly.setEventCreditGrantLandingRatio(returnJson.getBigDecimal("event_credit_grant_landing_ratio"));
    reportHourly.setPlay5sRatio(returnJson.getBigDecimal("play_5s_ratio"));
    reportHourly.setPlayEndRatio(returnJson.getBigDecimal("play_end_ratio"));
    reportHourly.setEventNewUserPay(returnJson.getBigDecimal("event_new_user_pay"));
    reportHourly.setEventNewUserPayCost(returnJson.getBigDecimal("event_new_user_pay_cost"));
    reportHourly.setEventNewUserPayRatio(returnJson.getBigDecimal("event_new_user_pay_ratio"));
    reportHourly.setClick1kCost(returnJson.getBigDecimal("click_1k_cost"));
    reportHourly.setAdProductCnt(returnJson.getLong("ad_product_cnt"));
    reportHourly.setEventGoodsView(returnJson.getLong("event_goods_view"));
    reportHourly.setMerchantRecoFans(returnJson.getLong("merchant_reco_fans"));
    reportHourly.setEventGoodsViewCost(returnJson.getBigDecimal("event_goods_view_cost"));
    reportHourly.setMerchantRecoFansCost(returnJson.getBigDecimal("merchant_reco_fans_cost"));
    reportHourly.setEventOrderAmountRoi(returnJson.getBigDecimal("event_order_amount_roi"));
    reportHourly.setEventButtonClick(returnJson.getLong("event_button_click"));
    reportHourly.setEventButtonClickCost(returnJson.getBigDecimal("event_button_click_cost"));
    reportHourly.setEventButtonClickRatio(returnJson.getBigDecimal("event_button_click_ratio"));
    reportHourly.setEventOrderPaidRoi(returnJson.getBigDecimal("event_order_paid_roi"));
    reportHourly.setEventNewUserJinjianApp(returnJson.getLong("event_new_user_jinjian_app"));
    reportHourly.setEventNewUserJinjianAppCost(returnJson.getBigDecimal("event_new_user_jinjian_app_cost"));
    reportHourly.setEventNewUserJinjianAppRoi(returnJson.getBigDecimal("event_new_user_jinjian_app_roi"));
    reportHourly.setEventNewUserCreditGrantApp(returnJson.getLong("event_new_user_credit_grant_app"));
    reportHourly.setEventNewUserCreditGrantAppCost(returnJson.getBigDecimal("event_new_user_credit_grant_app_cost"));
    reportHourly.setEventNewUserCreditGrantAppRoi(returnJson.getBigDecimal("event_new_user_credit_grant_app_roi"));
    reportHourly.setEventNewUserJinjianPage(returnJson.getLong("event_new_user_jinjian_page"));
    reportHourly.setEventNewUserJinjianPageCost(returnJson.getBigDecimal("event_new_user_jinjian_page_cost"));
    reportHourly.setEventNewUserJinjianPageRoi(returnJson.getBigDecimal("event_new_user_jinjian_page_roi"));
    reportHourly.setEventNewUserCreditGrantPage(returnJson.getLong("event_new_user_credit_grant_page"));
    reportHourly.setEventNewUserCreditGrantPageCost(returnJson.getBigDecimal("event_new_user_credit_grant_page_cost"));
    reportHourly.setEventNewUserCreditGrantPageRoi(returnJson.getBigDecimal("event_new_user_credit_grant_page_roi"));
    reportHourly.setEventAppointForm(returnJson.getLong("event_appoint_form"));
    reportHourly.setEventAppointFormCost(returnJson.getBigDecimal("event_appoint_form_cost"));
    reportHourly.setEventAppointFormRatio(returnJson.getBigDecimal("event_appoint_form_ratio"));
    reportHourly.setEventAppointJumpClick(returnJson.getLong("event_appoint_jump_click"));
    reportHourly.setEventAppointJumpClickCost(returnJson.getBigDecimal("event_appoint_jump_click_cost"));
    reportHourly.setEventAppointJumpClickRatio(returnJson.getBigDecimal("event_appoint_jump_click_ratio"));
    reportHourly.setUnionEventPayPurchaseAmount7d(returnJson.getLong("union_event_pay_purchase_amount_7d"));
    reportHourly.setUnionEventPayPurchaseAmount7dRoi(returnJson.getBigDecimal("union_event_pay_purchase_amount_7d_roi"));
    reportHourly.setPlacementType(returnJson.getString("placement_type"));
    reportHourly.setAdScene(returnJson.getString("ad_scene"));
    reportHourly.setEventOrderSuccessed(returnJson.getLong("event_order_successed"));
    reportHourly.setAdPhotoPlayed10sRatio(returnJson.getBigDecimal("ad_photo_played_10s_ratio"));
    reportHourly.setKeyActionCost(returnJson.getBigDecimal("key_action_cost"));
    reportHourly.setEventAddShoppingCartCost(returnJson.getBigDecimal("event_add_shopping_cart_cost"));
    reportHourly.setEventAdWatchTimesRatio(returnJson.getBigDecimal("event_ad_watch_times_ratio"));
    reportHourly.setEventOutboundCallCost(returnJson.getBigDecimal("event_outbound_call_cost"));
    reportHourly.setEventOutboundCall(returnJson.getLong("event_outbound_call"));
    reportHourly.setActionNewRatio(returnJson.getBigDecimal("action_new_ratio"));
    reportHourly.setEventWatchAppAd(returnJson.getLong("event_watch_app_ad"));
    reportHourly.setEventMultiConversionCost(returnJson.getBigDecimal("event_multi_conversion_cost"));
    reportHourly.setEventPhoneCardActivate(returnJson.getLong("event_phone_card_activate"));
    reportHourly.setAdPhotoPlayed75percentRatio(returnJson.getBigDecimal("ad_photo_played_75percent_ratio"));
    // reportHourly.setKeyActionRatio(returnJson.getBigDecimal("key_action_ratio"));
    reportHourly.setEventAdWatchTimesCost(returnJson.getBigDecimal("event_ad_watch_times_cost"));
    reportHourly.setEventAddShoppingCart(returnJson.getLong("event_add_shopping_cart"));
    reportHourly.setKeyAction(returnJson.getLong("key_action"));
    reportHourly.setEventMultiConversion(returnJson.getLong("event_multi_conversion"));
    reportHourly.setEventWechatConnected(returnJson.getLong("event_wechat_connected"));
    reportHourly.setEventDspGiftForm(returnJson.getLong("event_dsp_gift_form"));
    reportHourly.setEventIntentionConfirmed(returnJson.getLong("event_intention_confirmed"));
    reportHourly.setEventPhoneGetThrough(returnJson.getLong("event_phone_get_through"));
    reportHourly.setEventMultiConversionRatio(returnJson.getBigDecimal("event_multi_conversion_ratio"));
    reportHourly.setEventMeasurementHouse(returnJson.getBigDecimal("event_measurement_house"));
    reportHourly.setAdPhotoPlayed2sRatio(returnJson.getBigDecimal("ad_photo_played_2s_ratio"));
    reportHourly.setEventOutboundCallRatio(returnJson.getBigDecimal("event_outbound_call_ratio"));
    reportHourly.setEventAdWatchTimes(returnJson.getLong("event_ad_watch_times"));
    reportHourly.setEventPayPurchaseAmountOneDayByConversion(returnJson.getBigDecimal("event_pay_purchase_amount_one_day_by_conversion"));



    reportHourly.setAdPhotoPlayed10s(returnJson.getLong("ad_photo_played_10s"));
    reportHourly.setAdPhotoPlayed2s(returnJson.getLong("ad_photo_played_2s"));
    reportHourly.setAdPhotoPlayed75percent(returnJson.getLong("ad_photo_played_75percent"));
    reportHourly.setApproxPayCost(returnJson.getBigDecimal("approx_pay_cost"));
    reportHourly.setApproxPayCount(returnJson.getLong("approx_pay_count"));
    reportHourly.setApproxPayRatio(returnJson.getBigDecimal("approx_pay_ratio"));
    reportHourly.setCancelLike(returnJson.getLong("cancel_like"));
    reportHourly.setClickConversionRatio(returnJson.getBigDecimal("click_conversion_ratio"));
    reportHourly.setConversionCost(returnJson.getBigDecimal("conversion_cost"));
    reportHourly.setConversionCostByImpression7d(returnJson.getBigDecimal("conversion_cost_by_impression_7d"));
    reportHourly.setConversionNum(returnJson.getLong("conversion_num"));
    reportHourly.setConversionNumByImpression7d(returnJson.getLong("conversion_num_by_impression_7d"));
    reportHourly.setConversionNumCost(returnJson.getBigDecimal("conversion_num_cost"));
    reportHourly.setConversionRatio(returnJson.getBigDecimal("conversion_ratio"));
    reportHourly.setConversionRatioByImpression7d(returnJson.getBigDecimal("conversion_ratio_by_impression_7d"));
    reportHourly.setDeepConversionCost(returnJson.getBigDecimal("deep_conversion_cost"));
    reportHourly.setDeepConversionCostByImpression7d(returnJson.getBigDecimal("deep_conversion_cost_by_impression_7d"));
    reportHourly.setDeepConversionNum(returnJson.getLong("deep_conversion_num"));
    reportHourly.setDeepConversionNumByImpression7d(returnJson.getLong("deep_conversion_num_by_impression_7d"));
    reportHourly.setDeepConversionRatio(returnJson.getLong("deep_conversion_ratio"));
    reportHourly.setDeepConversionRatioByImpression7d(returnJson.getBigDecimal("deep_conversion_ratio_by_impression_7d"));
    reportHourly.setDownloadCompletedCost(returnJson.getBigDecimal("download_completed_cost"));
    reportHourly.setDownloadCompletedRatio(returnJson.getBigDecimal("download_completed_ratio"));
    reportHourly.setDownloadConversionRatio(returnJson.getBigDecimal("download_conversion_ratio"));
    reportHourly.setDownloadInstalled(returnJson.getLong("download_installed"));
    reportHourly.setDownloadStartedCost(returnJson.getBigDecimal("download_started_cost"));
    reportHourly.setDownloadStartedRatio(returnJson.getBigDecimal("download_started_ratio"));
    reportHourly.setEvent24hStay(returnJson.getLong("event_24h_stay"));
    reportHourly.setEvent24hStayByConversion(returnJson.getLong("event_24h_stay_by_conversion"));
    reportHourly.setEvent24hStayByConversionCost(returnJson.getBigDecimal("event_24h_stay_by_conversion_cost"));
    reportHourly.setEvent24hStayByConversionRatio(returnJson.getBigDecimal("event_24h_stay_by_conversion_ratio"));
    reportHourly.setEvent24hStayCost(returnJson.getBigDecimal("event_24h_stay_cost"));
    reportHourly.setEvent24hStayRatio(returnJson.getBigDecimal("event_24h_stay_ratio"));
    reportHourly.setEventAdWatch10Times(returnJson.getLong("event_ad_watch_10_times"));
    reportHourly.setEventAdWatch10TimesCost(returnJson.getBigDecimal("event_ad_watch_10_times_cost"));
    reportHourly.setEventAdWatch10TimesRatio(returnJson.getBigDecimal("event_ad_watch_10_times_ratio"));
    reportHourly.setEventAdWatch20Times(returnJson.getLong("event_ad_watch_20_times"));
    reportHourly.setEventAdWatch20TimesCost(returnJson.getBigDecimal("event_ad_watch_20_times_cost"));
    reportHourly.setEventAdWatch20TimesRatio(returnJson.getBigDecimal("event_ad_watch_20_times_ratio"));
    reportHourly.setEventAdWatch5Times(returnJson.getLong("event_ad_watch_5_times"));
    reportHourly.setEventAdWatch5TimesCost(returnJson.getBigDecimal("event_ad_watch_5_times_cost"));
    reportHourly.setEventAdWatch5TimesRatio(returnJson.getBigDecimal("event_ad_watch_5_times_ratio"));
    reportHourly.setEventAudition(returnJson.getLong("event_audition"));
    reportHourly.setEventConsultationValidRetained(returnJson.getLong("event_consultation_valid_retained"));
    reportHourly.setEventConsultationValidRetainedCost(returnJson.getBigDecimal("event_consultation_valid_retained_cost"));
    reportHourly.setEventConsultationValidRetainedRatio(returnJson.getBigDecimal("event_consultation_valid_retained_ratio"));
    reportHourly.setEventConversionClickCost(returnJson.getBigDecimal("event_conversion_click_cost"));
    reportHourly.setEventConversionClickRatio(returnJson.getBigDecimal("event_conversion_click_ratio"));
    reportHourly.setEventCreditGrantFirstDayApp(returnJson.getLong("event_credit_grant_first_day_app"));
    reportHourly.setEventCreditGrantFirstDayAppCost(returnJson.getBigDecimal("event_credit_grant_first_day_app_cost"));
    reportHourly.setEventCreditGrantFirstDayAppRatio(returnJson.getBigDecimal("event_credit_grant_first_day_app_ratio"));
    reportHourly.setEventCreditGrantFirstDayLandingPage(returnJson.getLong("event_credit_grant_first_day_landing_page"));
    reportHourly.setEventCreditGrantFirstDayLandingPageCost(returnJson.getBigDecimal("event_credit_grant_first_day_landing_page_cost"));
    reportHourly.setEventCreditGrantFirstDayLandingPageRatio(returnJson.getBigDecimal("event_credit_grant_first_day_landing_page_ratio"));
    reportHourly.setEventMakingCalls(returnJson.getLong("event_making_calls"));
    reportHourly.setEventMakingCallsCost(returnJson.getBigDecimal("event_making_calls_cost"));
    reportHourly.setEventMakingCallsRatio(returnJson.getBigDecimal("event_making_calls_ratio"));
    reportHourly.setEventOrderSubmit(returnJson.getLong("event_order_submit"));
    reportHourly.setEventPayPurchaseAmountOneDay(returnJson.getBigDecimal("event_pay_purchase_amount_one_day"));
    reportHourly.setEventPayPurchaseAmountOneDayByConversionRoi(returnJson.getBigDecimal("event_pay_purchase_amount_one_day_by_conversion_roi"));
    reportHourly.setEventPayPurchaseAmountOneDayRoi(returnJson.getBigDecimal("event_pay_purchase_amount_one_day_roi"));
    reportHourly.setEventPayPurchaseAmountThreeDayByConversion(returnJson.getBigDecimal("event_pay_purchase_amount_three_day_by_conversion"));
    reportHourly.setEventPayPurchaseAmountThreeDayByConversionRoi(returnJson.getBigDecimal("event_pay_purchase_amount_three_day_by_conversion_roi"));
    reportHourly.setEventPayPurchaseAmountWeekByConversion(returnJson.getBigDecimal("event_pay_purchase_amount_week_by_conversion"));
    reportHourly.setEventPayPurchaseAmountWeekByConversionRoi(returnJson.getBigDecimal("event_pay_purchase_amount_week_by_conversion_roi"));
    reportHourly.setEventPayWeekByConversion(returnJson.getLong("event_pay_week_by_conversion"));
    reportHourly.setEventPayWeekByConversionCost(returnJson.getBigDecimal("event_pay_week_by_conversion_cost"));
    reportHourly.setEventPayWeightedPurchaseAmount(returnJson.getBigDecimal("event_pay_weighted_purchase_amount"));
    reportHourly.setEventPayWeightedPurchaseAmountFirstDay(returnJson.getBigDecimal("event_pay_weighted_purchase_amount_first_day"));
    reportHourly.setEventPreComponentConsultationValidRetained(returnJson.getLong("event_pre_component_consultation_valid_retained"));
    reportHourly.setEventThreeDayStayByConversion(returnJson.getLong("event_three_day_stay_by_conversion"));
    reportHourly.setEventThreeDayStayByConversionCost(returnJson.getBigDecimal("event_three_day_stay_by_conversion_cost"));
    reportHourly.setEventThreeDayStayByConversionRatio(returnJson.getBigDecimal("event_three_day_stay_by_conversion_ratio"));
    reportHourly.setEventWechatQrCodeLinkClick(returnJson.getLong("event_wechat_qr_code_link_click"));
    reportHourly.setEventWeekStayByConversion(returnJson.getLong("event_week_stay_by_conversion"));
    reportHourly.setEventWeekStayByConversionCost(returnJson.getBigDecimal("event_week_stay_by_conversion_cost"));
    reportHourly.setEventWeekStayByConversionRatio(returnJson.getBigDecimal("event_week_stay_by_conversion_ratio"));
    reportHourly.setLiveEventGoodsView(returnJson.getLong("live_event_goods_view"));
    reportHourly.setLivePlayed3s(returnJson.getLong("live_played_3s"));
    reportHourly.setPlayedEnd(returnJson.getLong("played_end"));
    reportHourly.setPlayedFiveSeconds(returnJson.getLong("played_five_seconds"));
    reportHourly.setPlayedThreeSeconds(returnJson.getLong("played_three_seconds"));
    reportHourly.setEventNextDayStayNew(returnJson.getLong("event_next_day_stay_new"));
    reportHourly.setEventNextDayStayNewCost(returnJson.getBigDecimal("event_next_day_stay_new_cost"));
    reportHourly.setEventNextDayStayNewRatio(returnJson.getBigDecimal("event_next_day_stay_new_ratio"));
    reportHourly.setAdShow(returnJson.getBigDecimal("ad_show"));
    reportHourly.setEventCreditCardRecheck(returnJson.getLong("event_credit_card_recheck"));
    reportHourly.setEventCreditCardRecheckFirstDay(returnJson.getLong("event_credit_card_recheck_first_day"));
    reportHourly.setEventNoIntention(returnJson.getLong("event_no_intention"));
    reportHourly.setEventMultiPaySevenDayByConversion(returnJson.getBigDecimal("event_multi_pay_seven_day_by_conversion"));
    reportHourly.setEventMultiPaySevenDayByConversionCost(returnJson.getBigDecimal("event_multi_pay_seven_day_by_conversion_cost"));
    reportHourly.setMcbLeftTimePerfCpaBid(returnJson.getBigDecimal("mcb_left_time_perf_cpa_bid"));
    reportHourly.setMcbLeftTimePerfRoiRatio(returnJson.getBigDecimal("mcb_left_time_perf_roi_ratio"));
    reportHourly.setMcbAllDayPerfCpaBid(returnJson.getBigDecimal("mcb_all_day_perf_cpa_bid"));
    reportHourly.setMcbAllDayPerfRoiRatio(returnJson.getBigDecimal("mcb_all_day_perf_roi_ratio"));
    reportHourly.setLiveRoomAvgPlayedSeconds(returnJson.getLong("live_room_avg_played_seconds"));
    reportHourly.setAdLiveShare(returnJson.getLong("ad_live_share"));
    reportHourly.setAdLiveComment(returnJson.getLong("ad_live_comment"));
    reportHourly.setLivePlayedStarted(returnJson.getLong("live_played_started"));
    reportHourly.setLivePlayedStartedCost(returnJson.getBigDecimal("live_played_started_cost"));
    reportHourly.setAdLiveFollow(returnJson.getLong("ad_live_follow"));
    reportHourly.setAdLiveFollowCost(returnJson.getBigDecimal("ad_live_follow_cost"));
    reportHourly.setSimpleLivePlayedStarted(returnJson.getLong("simple_live_played_started"));
    reportHourly.setStandardLivePlayedStarted(returnJson.getLong("standard_live_played_started"));
    reportHourly.setConversionComponentImpression(returnJson.getLong("conversion_component_impression"));
    reportHourly.setConversionComponentClick(returnJson.getLong("conversion_component_click"));
    reportHourly.setConversionComponentRate(returnJson.getBigDecimal("conversion_component_rate"));
    reportHourly.setAdLandingPageImpression(returnJson.getLong("ad_landing_page_impression"));
    reportHourly.setAdAppDownloadHalfImpression(returnJson.getLong("ad_app_download_half_impression"));
    reportHourly.setEventDrawCreditLine(returnJson.getLong("event_draw_credit_line"));
    reportHourly.setMinigameIaaPurchaseAmount(returnJson.getBigDecimal("minigame_iaa_purchase_amount"));
    reportHourly.setMinigameIaaPurchaseRoi(returnJson.getBigDecimal("minigame_iaa_purchase_roi"));


    return reportHourly;

  }


}
