package cn.com.ctop.job.kuaishou.data.entity;

import cn.com.ctop.job.kuaishou.data.utils.DateUtils;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 快手账户流水
 * zian Y
 * 2022/1/7
 **/
@Data
@TableName("kuaishou_advertiser_fund_daily_flows")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_advertiser_fund_daily_flows快手账户流水", description = "快手账户流水")
public class KuaishouAdvertiserFundDailyFlows {

    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long advertiserId;
    /**
     * 账户ID
     */
    @Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "账户ID")
    private int date;
    /**
     * 总花费(元)
     */
    @Excel(name = "总花费(元)", width = 15)
    @ApiModelProperty(value = "总花费(元)")
    private java.math.BigDecimal dailyCharge;
    /**
     * 充值话费(元)
     */
    @Excel(name = "充值话费(元)", width = 15)
    @ApiModelProperty(value = "充值话费(元)")
    private java.math.BigDecimal realCharged;
    /**
     * 框返花费(元)
     */
    @Excel(name = "框返花费(元)", width = 15)
    @ApiModelProperty(value = "框返花费(元)")
    private java.math.BigDecimal contractRebateRealCharged;
    /**
     * 激励花费(元)
     */
    @Excel(name = "激励花费(元)", width = 15)
    @ApiModelProperty(value = "激励花费(元)")
    private java.math.BigDecimal directRebateRealCharged;
    /**
     * 转入(元)
     */
    @Excel(name = "转入(元)", width = 15)
    @ApiModelProperty(value = "转入(元)")
    private java.math.BigDecimal dailyTransferIn;
    /**
     * 转出(元)
     */
    @Excel(name = "转出(元)", width = 15)
    @ApiModelProperty(value = "转出(元)")
    private java.math.BigDecimal dailyTransferOut;
    /**
     * 日终结余(元)
     */
    @Excel(name = "日终结余(元)", width = 15)
    @ApiModelProperty(value = "日终结余(元)")
    private java.math.BigDecimal balance;
    /**
     * 充值转入(元)
     */
    @Excel(name = "充值转入(元)", width = 15)
    @ApiModelProperty(value = "充值转入(元)")
    private java.math.BigDecimal realRecharged;
    /**
     * 框返转入(元)
     */
    @Excel(name = "框返转入(元)", width = 15)
    @ApiModelProperty(value = "框返转入(元)")
    private java.math.BigDecimal contractRebateRealRecharged;
    /**
     * 激励转入(元)
     */
    @Excel(name = "激励转入(元)", width = 15)
    @ApiModelProperty(value = "激励转入(元)")
    private java.math.BigDecimal directRebateRealRecharged;


    public static KuaishouAdvertiserFundDailyFlows getKuaishouFundDailyFlowsInfo(JSONObject detailJson){
        KuaishouAdvertiserFundDailyFlows dailyFlows = new KuaishouAdvertiserFundDailyFlows();
        dailyFlows.setAdvertiserId(detailJson.getLong("advertiser_id"));
        dailyFlows.setDate(DateUtils.getDateInteger(detailJson.getString("date")));
        dailyFlows.setDailyCharge(detailJson.getBigDecimal("daily_charge"));
        dailyFlows.setRealCharged(detailJson.getBigDecimal("real_charged"));
        dailyFlows.setContractRebateRealCharged(detailJson.getBigDecimal("contract_rebate_real_charged"));
        dailyFlows.setDirectRebateRealCharged(detailJson.getBigDecimal("direct_rebate_real_charged"));
        dailyFlows.setDailyTransferIn(detailJson.getBigDecimal("daily_transfer_in"));
        dailyFlows.setDailyTransferOut(detailJson.getBigDecimal("daily_transfer_out"));
        dailyFlows.setBalance(detailJson.getBigDecimal("balance"));
        dailyFlows.setRealRecharged(detailJson.getBigDecimal("real_recharged"));
        dailyFlows.setContractRebateRealRecharged(detailJson.getBigDecimal("contract_rebate_real_recharged"));
        dailyFlows.setDirectRebateRealRecharged(detailJson.getBigDecimal("direct_rebate_real_recharged"));
        return dailyFlows;
    }


}