package cn.com.ctop.job.kuaishou.data.entity;

import cn.com.ctop.job.kuaishou.data.utils.DateUtils;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 快手账户余额
 * zian Y
 * 2022/1/7
 **/
@Data
@TableName("kuaishou_advertiser_fund_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_advertiser_fund_get快手账户余额", description = "快手账户余额")
public class KuaishouAdvertiserFundGet {

    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long advertiserId;
    /**
     * 账户ID
     */
    @Excel(name = "账户总余额", width = 15)
    @ApiModelProperty(value = "账户总余额")
    private BigDecimal balance;


    public static KuaishouAdvertiserFundGet getKuaishouFundGetInfo(JSONObject detailJson){
        KuaishouAdvertiserFundGet dailyFlows = new KuaishouAdvertiserFundGet();
        dailyFlows.setAdvertiserId(detailJson.getLong("advertiser_id"));
        dailyFlows.setBalance(detailJson.getBigDecimal("balance"));
        return dailyFlows;
    }


}