package cn.com.ctop.job.kuaishou.data.entity;

import cn.com.ctop.job.kuaishou.data.utils.Check;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;
import java.util.PrimitiveIterator;

/**
 * 快手-素材列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-09-28
 */
@Data
@TableName("kuaishou_campaign_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_campaign_list对象", description = "快手-广告计划信息")
public class KuaishouCampaignList {

    //广告主id
    private long advertiserId;
    //'计划状态'
    private int status;
    //'计划id'
    private String campaignId;
    //'计划名称'
    private String campaignName;
    //'投放状态'
    private String putStatus;
    //'创建渠道'
    private String createChannel;
    //'每日预算'
    private long dayBudget;
    //'分日预算'
    private long dayBudgetSchedule;
    //'计划类型'
    private String campaignType;
    //'计划子类型'
    private String  campaignSubType;
    //'计划创建时间'
    private String createTime;
    //'计划修改时间'
    private String updateTime;





    public static KuaishouCampaignList getKuaishouCampaignListInfo(JSONObject unitDetail){
        KuaishouCampaignList campaign = new KuaishouCampaignList();
        campaign.setAdvertiserId(unitDetail.getLong("advertiser_id"));
        campaign.setStatus(unitDetail.getInteger("status"));
        campaign.setCampaignId(unitDetail.getString("campaign_id"));
        campaign.setCampaignName(unitDetail.getString("campaign_name"));
        campaign.setPutStatus(unitDetail.getString("put_status"));
        campaign.setCreateChannel(unitDetail.getString("create_channel"));
        campaign.setDayBudget(unitDetail.getLong("day_budget"));
        campaign.setDayBudgetSchedule(Check.isNull(unitDetail.getJSONArray("day_budget_schedule")) ? 0L : Long.parseLong(JSONObject.toJSONString(unitDetail.getJSONArray("day_budget_schedule").get(0))));
        campaign.setCampaignType(unitDetail.getString("campaign_type"));
        campaign.setCampaignSubType(unitDetail.getString("campaign_sub_type"));
        campaign.setCreateTime(unitDetail.getString("create_time"));
        campaign.setUpdateTime(unitDetail.getString("update_time"));
        return campaign;
    }


}
