package cn.com.ctop.job.kuaishou.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 创意-日报
 *
 * @author jeecg-boot
 * @date 2021-09-09
 * @version V1.0
 */
@Data
@TableName("kuaishou_creative_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_creative_report_daily对象", description = "创意-日报")
public class KuaishouCreativeReportDaily {

  /** 广告主id */
  @Excel(name = "广告主id", width = 15)
  @ApiModelProperty(value = "广告主id")
  private Long advertiserId;
  /** 数据日期，格式：YYYYMMDD */
  @Excel(name = "数据日期，格式：YYYYMMDD", width = 15)
  @ApiModelProperty(value = "数据日期，格式：YYYYMMDD")
  private Integer statDate;
  /** 广告计划ID */
  @Excel(name = "广告计划ID", width = 15)
  @ApiModelProperty(value = "广告计划ID")
  private Long campaignId;
  /** 广告计划名称 */
  @Excel(name = "广告计划名称", width = 15)
  @ApiModelProperty(value = "广告计划名称")
  private String campaignName;
  /** 广告组ID */
  @Excel(name = "广告组ID", width = 15)
  @ApiModelProperty(value = "广告组ID")
  private Long unitId;
  /** 广告组名称 */
  @Excel(name = "广告组名称", width = 15)
  @ApiModelProperty(value = "广告组名称")
  private String unitName;
  /** 广告创意ID */
  @Excel(name = "广告创意ID", width = 15)
  @ApiModelProperty(value = "广告创意ID")
  private Long creativeId;
  /** 广告创意名称 */
  @Excel(name = "广告创意名称", width = 15)
  @ApiModelProperty(value = "广告创意名称")
  private String creativeName;
  /** 花费（元） */
  @Excel(name = "花费（元）", width = 15)
  @ApiModelProperty(value = "花费（元）")
  private java.math.BigDecimal charge;
  /** 封面曝光数 */
  @Excel(name = "封面曝光数", width = 15)
  @ApiModelProperty(value = "封面曝光数")
  private Long show;
  /** 封面点击数 */
  @Excel(name = "封面点击数", width = 15)
  @ApiModelProperty(value = "封面点击数")
  private Long photoClick;
  /** 素材曝光数 */
  @Excel(name = "素材曝光数", width = 15)
  @ApiModelProperty(value = "素材曝光数")
  private Long aclick;
  /** 行为数 */
  @Excel(name = "行为数", width = 15)
  @ApiModelProperty(value = "行为数")
  private Long bclick;
  /** 封面点击率 */
  @Excel(name = "封面点击率", width = 15)
  @ApiModelProperty(value = "封面点击率")
  private java.math.BigDecimal photoClickRatio;
  /** 3s播放率 */
  @Excel(name = "3s播放率", width = 15)
  @ApiModelProperty(value = "3s播放率")
  private java.math.BigDecimal play3sRatio;
  /** 行为率 */
  @Excel(name = "行为率", width = 15)
  @ApiModelProperty(value = "行为率")
  private java.math.BigDecimal actionRatio;
  /** 平均千次曝光花费（元） */
  @Excel(name = "平均千次曝光花费（元）", width = 15)
  @ApiModelProperty(value = "平均千次曝光花费（元）")
  private java.math.BigDecimal impression1kCost;
  /** 平均点击单价（元） */
  @Excel(name = "平均点击单价（元）", width = 15)
  @ApiModelProperty(value = "平均点击单价（元）")
  private java.math.BigDecimal photoClickCost;
  /** 平均行为单价（元） */
  @Excel(name = "平均行为单价（元）", width = 15)
  @ApiModelProperty(value = "平均行为单价（元）")
  private java.math.BigDecimal actionCost;
  /** 分享数 */
  @Excel(name = "分享数", width = 15)
  @ApiModelProperty(value = "分享数")
  private Long share;
  /** 评论数 */
  @Excel(name = "评论数", width = 15)
  @ApiModelProperty(value = "评论数")
  private Long comment;
  /** 点赞数 */
  @Excel(name = "点赞数", width = 15)
  @ApiModelProperty(value = "点赞数")
  private Long like;
  /** 新增关注数 */
  @Excel(name = "新增关注数", width = 15)
  @ApiModelProperty(value = "新增关注数")
  private Long follow;
  /** 取消关注数 */
  @Excel(name = "取消关注数", width = 15)
  @ApiModelProperty(value = "取消关注数")
  private Long cancelFollow;
  /** 举报数 */
  @Excel(name = "举报数", width = 15)
  @ApiModelProperty(value = "举报数")
  private Long report;
  /** 拉黑数 */
  @Excel(name = "拉黑数", width = 15)
  @ApiModelProperty(value = "拉黑数")
  private Long block;
  /** 减少此类作品数 */
  @Excel(name = "减少此类作品数", width = 15)
  @ApiModelProperty(value = "减少此类作品数")
  private Long negative;
  /** 提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段） */
  @Excel(name = "提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段）", width = 15)
  @ApiModelProperty(value = "提交按钮点击数（历史字段，同下方“表单提交数”，预计年底删除该字段）")
  private Long submit;
  /** 应用下载数据-安卓下载开始数 */
  @Excel(name = "应用下载数据-安卓下载开始数", width = 15)
  @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
  private Long downloadStarted;
  /** 应用下载数据-安卓下载完成数 */
  @Excel(name = "应用下载数据-安卓下载完成数", width = 15)
  @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
  private Long downloadCompleted;
  /** 应用下载数据-激活数 */
  @Excel(name = "应用下载数据-激活数", width = 15)
  @ApiModelProperty(value = "应用下载数据-激活数")
  private Long activation;
  /** 应用下载数据-首日付费次数 */
  @Excel(name = "应用下载数据-首日付费次数", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日付费次数")
  private Long eventPayFirstDay;
  /** 应用下载数据-首日付费金额 */
  @Excel(name = "应用下载数据-首日付费金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日付费金额")
  private java.math.BigDecimal eventPayPurchaseAmountFirstDay;
  /** 应用下载数据-首日ROI */
  @Excel(name = "应用下载数据-首日ROI", width = 15)
  @ApiModelProperty(value = "应用下载数据-首日ROI")
  private java.math.BigDecimal eventPayFirstDayRoi;
  /** 应用下载数据-付费次数 */
  @Excel(name = "应用下载数据-付费次数", width = 15)
  @ApiModelProperty(value = "应用下载数据-付费次数")
  private Long eventPay;
  /** 应用下载数据-付费金额 */
  @Excel(name = "应用下载数据-付费金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-付费金额")
  private java.math.BigDecimal eventPayPurchaseAmount;
  /** 应用下载数据-ROI */
  @Excel(name = "应用下载数据-ROI", width = 15)
  @ApiModelProperty(value = "应用下载数据-ROI")
  private java.math.BigDecimal eventPayRoi;
  /** 应用下载数据-注册数 */
  @Excel(name = "应用下载数据-注册数", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册数")
  private Long eventRegister;
  /** 应用下载数据-注册成本 */
  @Excel(name = "应用下载数据-注册成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册成本")
  private java.math.BigDecimal eventRegisterCost;
  /** 应用下载数据-注册率 */
  @Excel(name = "应用下载数据-注册率", width = 15)
  @ApiModelProperty(value = "应用下载数据-注册率")
  private java.math.BigDecimal eventRegisterRatio;
  /** 应用下载数据-完件数 */
  @Excel(name = "应用下载数据-完件数", width = 15)
  @ApiModelProperty(value = "应用下载数据-完件数")
  private Long eventJinJianApp;
  /** 应用下载数据-完件成本 */
  @Excel(name = "应用下载数据-完件成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-完件成本")
  private java.math.BigDecimal eventJinJianAppCost;
  /** 应用下载数据-授信数 */
  @Excel(name = "应用下载数据-授信数", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信数")
  private Long eventCreditGrantApp;
  /** 应用下载数据-授信成本 */
  @Excel(name = "应用下载数据-授信成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信成本")
  private java.math.BigDecimal eventCreditGrantAppCost;
  /** 应用下载数据-授信率 */
  @Excel(name = "应用下载数据-授信率", width = 15)
  @ApiModelProperty(value = "应用下载数据-授信率")
  private java.math.BigDecimal eventCreditGrantAppRatio;
  /** 应用下载数据-付款成功数 */
  @Excel(name = "应用下载数据-付款成功数", width = 15)
  @ApiModelProperty(value = "应用下载数据-付款成功数")
  private Long eventOrderPaid;
  /** 应用下载数据-付款成功金额 */
  @Excel(name = "应用下载数据-付款成功金额", width = 15)
  @ApiModelProperty(value = "应用下载数据-付款成功金额")
  private java.math.BigDecimal eventOrderPaidPurchaseAmount;
  /** 应用下载数据-单次付款成本 */
  @Excel(name = "应用下载数据-单次付款成本", width = 15)
  @ApiModelProperty(value = "应用下载数据-单次付款成本")
  private java.math.BigDecimal eventOrderPaidCost;
  /** 应用下载数据-次留数（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
  private Long eventNextDayStay;
  /** 应用下载数据-次留成本（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留成本（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留成本（仅支持分日查询）")
  private java.math.BigDecimal eventNextDayStayCost;
  /** 应用下载数据-次留率（仅支持分日查询） */
  @Excel(name = "应用下载数据-次留率（仅支持分日查询）", width = 15)
  @ApiModelProperty(value = "应用下载数据-次留率（仅支持分日查询）")
  private java.math.BigDecimal eventNextDayStayRatio;
  /** 落地页数据-表单提交数 */
  @Excel(name = "落地页数据-表单提交数", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交数")
  private Long formCount;
  /** 落地页数据-表单提交单价 */
  @Excel(name = "落地页数据-表单提交单价", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交单价")
  private java.math.BigDecimal formCost;
  /** 落地页数据-表单提交点击率 */
  @Excel(name = "落地页数据-表单提交点击率", width = 15)
  @ApiModelProperty(value = "落地页数据-表单提交点击率")
  private java.math.BigDecimal formActionRatio;
  /** 落地页数据-落地页完件数 */
  @Excel(name = "落地页数据-落地页完件数", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页完件数")
  private Long eventJinJianLandingPage;
  /** 落地页数据-落地页完件成本 */
  @Excel(name = "落地页数据-落地页完件成本", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页完件成本")
  private java.math.BigDecimal eventJinJianLandingPageCost;
  /** 落地页数据-落地页授信数 */
  @Excel(name = "落地页数据-落地页授信数", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信数")
  private Long eventCreditGrantLandingPage;
  /** 落地页数据-落地页授信成本 */
  @Excel(name = "落地页数据-落地页授信成本", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信成本")
  private java.math.BigDecimal eventCreditGrantLandingPageCost;
  /** 落地页数据-落地页授信率 */
  @Excel(name = "落地页数据-落地页授信率", width = 15)
  @ApiModelProperty(value = "落地页数据-落地页授信率")
  private java.math.BigDecimal eventCreditGrantLandingPageRatio;
  /** 落地页数据-有效线索数 */
  @Excel(name = "落地页数据-有效线索数", width = 15)
  @ApiModelProperty(value = "落地页数据-有效线索数")
  private Long eventValidClues;
  /** 落地页数据-有效线索成本 */
  @Excel(name = "落地页数据-有效线索成本", width = 15)
  @ApiModelProperty(value = "落地页数据-有效线索成本")
  private java.math.BigDecimal eventValidCluesCost;
  /** 微信复制数 */
  @Excel(name = "微信复制数", width = 15)
  @ApiModelProperty(value = "微信复制数")
  private Long eventAddWechat;
  /** 微信复制成本 */
  @Excel(name = "微信复制成本", width = 15)
  @ApiModelProperty(value = "微信复制成本")
  private java.math.BigDecimal eventAddWechatCost;
  /** 微信复制率 */
  @Excel(name = "微信复制率", width = 15)
  @ApiModelProperty(value = "微信复制率")
  private java.math.BigDecimal eventAddWechatRatio;
  /** 智能电话-确认接通数 */
  @Excel(name = "智能电话-确认接通数", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通数")
  private Long eventGetThrough;
  /** 智能电话-确认接通成本 */
  @Excel(name = "智能电话-确认接通成本", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通成本")
  private java.math.BigDecimal eventGetThroughCost;
  /** 智能电话-确认接通率 */
  @Excel(name = "智能电话-确认接通率", width = 15)
  @ApiModelProperty(value = "智能电话-确认接通率")
  private java.math.BigDecimal eventGetThroughRatio;
  /** 唤醒应用数 */
  @Excel(name = "唤醒应用数", width = 15)
  @ApiModelProperty(value = "唤醒应用数")
  private Long eventAppInvoked;
  /** 唤醒应用成本 */
  @Excel(name = "唤醒应用成本", width = 15)
  @ApiModelProperty(value = "唤醒应用成本")
  private java.math.BigDecimal eventAppInvokedCost;
  /** 唤醒应用率 */
  @Excel(name = "唤醒应用率", width = 15)
  @ApiModelProperty(value = "唤醒应用率")
  private java.math.BigDecimal eventAppInvokedRatio;
  /** 落地页授信率 */
  @Excel(name = "落地页授信率", width = 15)
  @ApiModelProperty(value = "落地页授信率")
  private java.math.BigDecimal eventCreditGrantLandingRatio;
  /** 5s播放率 */
  @Excel(name = "5s播放率", width = 15)
  @ApiModelProperty(value = "5s播放率")
  private java.math.BigDecimal play5sRatio;
  /** 完播率 */
  @Excel(name = "完播率", width = 15)
  @ApiModelProperty(value = "完播率")
  private java.math.BigDecimal playEndRatio;
  /** 新增付费人数 */
  @Excel(name = "新增付费人数", width = 15)
  @ApiModelProperty(value = "新增付费人数")
  private java.math.BigDecimal eventNewUserPay;
  /** 新增付费人数成本 */
  @Excel(name = "新增付费人数成本", width = 15)
  @ApiModelProperty(value = "新增付费人数成本")
  private java.math.BigDecimal eventNewUserPayCost;
  /** 新增付费人数率 */
  @Excel(name = "新增付费人数率", width = 15)
  @ApiModelProperty(value = "新增付费人数率")
  private java.math.BigDecimal eventNewUserPayRatio;
  /** 平均千次素材曝光花费(元) */
  @Excel(name = "平均千次素材曝光花费(元)", width = 15)
  @ApiModelProperty(value = "平均千次素材曝光花费(元)")
  private java.math.BigDecimal click1kCost;
  /** 商品成交数 */
  @Excel(name = "商品成交数", width = 15)
  @ApiModelProperty(value = "商品成交数")
  private Long adProductCnt;
  /** 商品访问数 */
  @Excel(name = "商品访问数", width = 15)
  @ApiModelProperty(value = "商品访问数")
  private Long eventGoodsView;
  /** 涨粉量 */
  @Excel(name = "涨粉量", width = 15)
  @ApiModelProperty(value = "涨粉量")
  private Long merchantRecoFans;
  /** 小店推广roi */
  @Excel(name = "小店推广roi", width = 15)
  @ApiModelProperty(value = "小店推广roi")
  private java.math.BigDecimal eventOrderAmountRoi;
  /** 商品访问成本 */
  @Excel(name = "商品访问成本", width = 15)
  @ApiModelProperty(value = "商品访问成本")
  private java.math.BigDecimal eventGoodsViewCost;
  /** 涨粉成本 */
  @Excel(name = "涨粉成本", width = 15)
  @ApiModelProperty(value = "涨粉成本")
  private java.math.BigDecimal merchantRecoFansCost;
  /** 按钮点击数 */
  @Excel(name = "按钮点击数", width = 15)
  @ApiModelProperty(value = "按钮点击数")
  private Long eventButtonClick;
  /** 按钮点击成本 */
  @Excel(name = "按钮点击成本", width = 15)
  @ApiModelProperty(value = "按钮点击成本")
  private java.math.BigDecimal eventButtonClickCost;
  /** 按钮点击率 */
  @Excel(name = "按钮点击率", width = 15)
  @ApiModelProperty(value = "按钮点击率")
  private java.math.BigDecimal eventButtonClickRatio;
  /** 订单支付率 */
  @Excel(name = "订单支付率", width = 15)
  @ApiModelProperty(value = "订单支付率")
  private java.math.BigDecimal eventOrderPaidRoi;
  /** 新增完件人数 */
  @Excel(name = "新增完件人数", width = 15)
  @ApiModelProperty(value = "新增完件人数")
  private Long eventNewUserJinjianApp;
  /** 新增完件成本 */
  @Excel(name = "新增完件成本", width = 15)
  @ApiModelProperty(value = "新增完件成本")
  private java.math.BigDecimal eventNewUserJinjianAppCost;
  /** 新增完件人数率 */
  @Excel(name = "新增完件人数率", width = 15)
  @ApiModelProperty(value = "新增完件人数率")
  private java.math.BigDecimal eventNewUserJinjianAppRoi;
  /** 新增授信人数 */
  @Excel(name = "新增授信人数", width = 15)
  @ApiModelProperty(value = "新增授信人数")
  private Long eventNewUserCreditGrantApp;
  /** 新增授信人数成本 */
  @Excel(name = "新增授信人数成本", width = 15)
  @ApiModelProperty(value = "新增授信人数成本")
  private java.math.BigDecimal eventNewUserCreditGrantAppCost;
  /** 新增授信人数率 */
  @Excel(name = "新增授信人数率", width = 15)
  @ApiModelProperty(value = "新增授信人数率")
  private java.math.BigDecimal eventNewUserCreditGrantAppRoi;
  /** eventNewUserJinjianPage */
  @Excel(name = "eventNewUserJinjianPage", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPage")
  private Long eventNewUserJinjianPage;
  /** eventNewUserJinjianPageCost */
  @Excel(name = "eventNewUserJinjianPageCost", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPageCost")
  private java.math.BigDecimal eventNewUserJinjianPageCost;
  /** eventNewUserJinjianPageRoi */
  @Excel(name = "eventNewUserJinjianPageRoi", width = 15)
  @ApiModelProperty(value = "eventNewUserJinjianPageRoi")
  private java.math.BigDecimal eventNewUserJinjianPageRoi;
  /** eventNewUserCreditGrantPage */
  @Excel(name = "eventNewUserCreditGrantPage", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPage")
  private Long eventNewUserCreditGrantPage;
  /** eventNewUserCreditGrantPageCost */
  @Excel(name = "eventNewUserCreditGrantPageCost", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPageCost")
  private java.math.BigDecimal eventNewUserCreditGrantPageCost;
  /** eventNewUserCreditGrantPageRoi */
  @Excel(name = "eventNewUserCreditGrantPageRoi", width = 15)
  @ApiModelProperty(value = "eventNewUserCreditGrantPageRoi")
  private java.math.BigDecimal eventNewUserCreditGrantPageRoi;
  /** 预约表单数 */
  @Excel(name = "预约表单数", width = 15)
  @ApiModelProperty(value = "预约表单数")
  private Long eventAppointForm;
  /** 预约表单点击成本 */
  @Excel(name = "预约表单点击成本", width = 15)
  @ApiModelProperty(value = "预约表单点击成本")
  private java.math.BigDecimal eventAppointFormCost;
  /** 预约表单点击率 */
  @Excel(name = "预约表单点击率", width = 15)
  @ApiModelProperty(value = "预约表单点击率")
  private java.math.BigDecimal eventAppointFormRatio;
  /** 预约跳转点击数 */
  @Excel(name = "预约跳转点击数", width = 15)
  @ApiModelProperty(value = "预约跳转点击数")
  private Long eventAppointJumpClick;
  /** 预约跳转点击成本 */
  @Excel(name = "预约跳转点击成本", width = 15)
  @ApiModelProperty(value = "预约跳转点击成本")
  private java.math.BigDecimal eventAppointJumpClickCost;
  /** 预约跳转点击率 */
  @Excel(name = "预约跳转点击率", width = 15)
  @ApiModelProperty(value = "预约跳转点击率")
  private java.math.BigDecimal eventAppointJumpClickRatio;
  /** 联盟广告收入 */
  @Excel(name = "联盟广告收入", width = 15)
  @ApiModelProperty(value = "联盟广告收入")
  private Long unionEventPayPurchaseAmount7d;
  /** 联盟变现ROI */
  @Excel(name = "联盟变现ROI", width = 15)
  @ApiModelProperty(value = "联盟变现ROI")
  private java.math.BigDecimal unionEventPayPurchaseAmount7dRoi;
  /** placementType */
  @Excel(name = "placementType", width = 15)
  @ApiModelProperty(value = "placementType")
  private String placementType;
  /** adscene */
  @Excel(name = "adscene", width = 15)
  @ApiModelProperty(value = "adscene")
  private String adscene;
  /** eventOrderSuccessed */
  @Excel(name = "eventOrderSuccessed", width = 15)
  @ApiModelProperty(value = "eventOrderSuccessed")
  private Long eventOrderSuccessed;
  /** adPhotoPlayed10sRatio */
  @Excel(name = "adPhotoPlayed10sRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed10sRatio")
  private java.math.BigDecimal adPhotoPlayed10sRatio;
  /** keyActionCost */
  @Excel(name = "keyActionCost", width = 15)
  @ApiModelProperty(value = "keyActionCost")
  private java.math.BigDecimal keyActionCost;
  /** 添加购物车成本 */
  @Excel(name = "添加购物车成本", width = 15)
  @ApiModelProperty(value = "添加购物车成本")
  private java.math.BigDecimal eventAddShoppingCartCost;
  /** 广告观看次数转化率 */
  @Excel(name = "广告观看次数转化率", width = 15)
  @ApiModelProperty(value = "广告观看次数转化率")
  private java.math.BigDecimal eventAdWatchTimesRatio;
  /** eventOutboundCallCost */
  @Excel(name = "eventOutboundCallCost", width = 15)
  @ApiModelProperty(value = "eventOutboundCallCost")
  private java.math.BigDecimal eventOutboundCallCost;
  /** eventOutboundCall */
  @Excel(name = "eventOutboundCall", width = 15)
  @ApiModelProperty(value = "eventOutboundCall")
  private Long eventOutboundCall;
  /** actionNewRatio */
  @Excel(name = "actionNewRatio", width = 15)
  @ApiModelProperty(value = "actionNewRatio")
  private java.math.BigDecimal actionNewRatio;
  /** 广告观看 */
  @Excel(name = "广告观看", width = 15)
  @ApiModelProperty(value = "广告观看")
  private Long eventWatchAppAd;
  /** 落地页多转化成本 */
  @Excel(name = "落地页多转化成本", width = 15)
  @ApiModelProperty(value = "落地页多转化成本")
  private java.math.BigDecimal eventMultiConversionCost;
  /** eventPhoneCardActivate */
  @Excel(name = "eventPhoneCardActivate", width = 15)
  @ApiModelProperty(value = "eventPhoneCardActivate")
  private Long eventPhoneCardActivate;
  /** adPhotoPlayed75percentRatio */
  @Excel(name = "adPhotoPlayed75percentRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed75percentRatio")
  private java.math.BigDecimal adPhotoPlayed75percentRatio;
  /** keyActionRatio */
  @Excel(name = "keyActionRatio", width = 15)
  @ApiModelProperty(value = "keyActionRatio")
  private java.math.BigDecimal keyActionRatio;
  /** 广告观看次数成本 */
  @Excel(name = "广告观看次数成本", width = 15)
  @ApiModelProperty(value = "广告观看次数成本")
  private java.math.BigDecimal eventAdWatchTimesCost;
  /** 添加购物车数 */
  @Excel(name = "添加购物车数", width = 15)
  @ApiModelProperty(value = "添加购物车数")
  private Long eventAddShoppingCart;
  /** keyAction */
  @Excel(name = "keyAction", width = 15)
  @ApiModelProperty(value = "keyAction")
  private Long keyAction;
  /** 落地页多转化次数 */
  @Excel(name = "落地页多转化次数", width = 15)
  @ApiModelProperty(value = "落地页多转化次数")
  private Long eventMultiConversion;
  /** eventWechatConnected */
  @Excel(name = "eventWechatConnected", width = 15)
  @ApiModelProperty(value = "eventWechatConnected")
  private Long eventWechatConnected;
  /** 附加组件表单提交 */
  @Excel(name = "附加组件表单提交", width = 15)
  @ApiModelProperty(value = "附加组件表单提交")
  private Long eventDspGiftForm;
  /** eventIntentionConfirmed */
  @Excel(name = "eventIntentionConfirmed", width = 15)
  @ApiModelProperty(value = "eventIntentionConfirmed")
  private Long eventIntentionConfirmed;
  /** eventPhoneGetThrough */
  @Excel(name = "eventPhoneGetThrough", width = 15)
  @ApiModelProperty(value = "eventPhoneGetThrough")
  private Long eventPhoneGetThrough;
  /** 落地页多转化率 */
  @Excel(name = "落地页多转化率", width = 15)
  @ApiModelProperty(value = "落地页多转化率")
  private java.math.BigDecimal eventMultiConversionRatio;
  /** eventMeasurementHouse */
  @Excel(name = "eventMeasurementHouse", width = 15)
  @ApiModelProperty(value = "eventMeasurementHouse")
  private java.math.BigDecimal eventMeasurementHouse;
  /** adPhotoPlayed2sRatio */
  @Excel(name = "adPhotoPlayed2sRatio", width = 15)
  @ApiModelProperty(value = "adPhotoPlayed2sRatio")
  private java.math.BigDecimal adPhotoPlayed2sRatio;
  /** eventOutboundCallRatio */
  @Excel(name = "eventOutboundCallRatio", width = 15)
  @ApiModelProperty(value = "eventOutboundCallRatio")
  private java.math.BigDecimal eventOutboundCallRatio;
  /** 广告观看次数 */
  @Excel(name = " 广告观看次数", width = 15)
  @ApiModelProperty(value = " 广告观看次数")
  private Long eventAdWatchTimes;
}
