package cn.com.ctop.job.kuaishou.data.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 人群年龄报表
 * @author jeecg-boot
 * @date   2022-02-15
 * @version V1.0
 */
@Data
@TableName("kuaishou_unit_audience_age_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="kuaishou_unit_audience_age_report_daily对象", description="人群年龄报表")
public class KuaishouUnitAudienceAgeReportDaily {
    
	/**广告主id*/
	@Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
	private Long accountId;
	/**广告计划id*/
	@Excel(name = "广告计划id", width = 15)
    @ApiModelProperty(value = "广告计划id")
	private Long campaignId;
	/**广告组id*/
	@Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告组id")
	private Long unitId;
	/**5次广告观看成本*/
	@Excel(name = "5次广告观看成本", width = 15)
    @ApiModelProperty(value = "5次广告观看成本")
	private java.math.BigDecimal eventAdWatch5TimesCost;
	/**活后24h次日留存数（回传时间）*/
	@Excel(name = "活后24h次日留存数（回传时间）", width = 15)
    @ApiModelProperty(value = "活后24h次日留存数（回传时间）")
	private Long event24hStay;
	/**注册成本*/
	@Excel(name = "注册成本", width = 15)
    @ApiModelProperty(value = "注册成本")
	private java.math.BigDecimal eventRegisterCost;
	/**淘系近似购买率*/
	@Excel(name = "淘系近似购买率", width = 15)
    @ApiModelProperty(value = "淘系近似购买率")
	private java.math.BigDecimal approxPayRatio;
	/**授信成本*/
	@Excel(name = "授信成本", width = 15)
    @ApiModelProperty(value = "授信成本")
	private java.math.BigDecimal eventCreditGrantAppCost;
	/**花费/落地页新增完件人数*/
	@Excel(name = "花费/落地页新增完件人数", width = 15)
    @ApiModelProperty(value = "花费/落地页新增完件人数")
	private java.math.BigDecimal eventNewUserJinjianPageCost;
	/**有效线索成交数*/
	@Excel(name = "有效线索成交数", width = 15)
    @ApiModelProperty(value = "有效线索成交数")
	private Long eventOrderSuccessed;
	/**年龄段*/
	@Excel(name = "年龄段", width = 15)
    @ApiModelProperty(value = "年龄段")
	private String ageSegment;
	/**封面点击数*/
	@Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
	private Long photoClick;
	/**加权付费金额-当日回传的付费行为所带来的加权付费金额，单位:元，当前用于保险行业*/
	@Excel(name = "加权付费金额-当日回传的付费行为所带来的加权付费金额，单位:元，当前用于保险行业", width = 15)
    @ApiModelProperty(value = "加权付费金额-当日回传的付费行为所带来的加权付费金额，单位:元，当前用于保险行业")
	private java.math.BigDecimal eventPayWeightedPurchaseAmount;
	/**有效线索数*/
	@Excel(name = "有效线索数", width = 15)
    @ApiModelProperty(value = "有效线索数")
	private Long eventValidClues;
	/** 用户无意向数*/
	@Excel(name = " 用户无意向数", width = 15)
    @ApiModelProperty(value = " 用户无意向数")
	private Long eventNoIntention;
	/**附加咨询组件留资咨询数*/
	@Excel(name = "附加咨询组件留资咨询数", width = 15)
    @ApiModelProperty(value = "附加咨询组件留资咨询数")
	private Long eventPreComponentConsultationValidRetained;
	/**有效线索数成本*/
	@Excel(name = "有效线索数成本", width = 15)
    @ApiModelProperty(value = "有效线索数成本")
	private java.math.BigDecimal eventValidCluesCost;
	/**小店推广roi*/
	@Excel(name = "小店推广roi", width = 15)
    @ApiModelProperty(value = "小店推广roi")
	private java.math.BigDecimal eventOrderAmountRoi;
	/**近似购买数*/
	@Excel(name = "近似购买数", width = 15)
    @ApiModelProperty(value = "近似购买数")
	private Long approxPayCount;
	/**按钮点击数*/
	@Excel(name = "按钮点击数", width = 15)
    @ApiModelProperty(value = "按钮点击数")
	private Long eventButtonClick;
	/** 下载完成数*/
	@Excel(name = " 下载完成数", width = 15)
    @ApiModelProperty(value = " 下载完成数")
	private Long downloadCompleted;
	/**安卓安装完成数*/
	@Excel(name = "安卓安装完成数", width = 15)
    @ApiModelProperty(value = "安卓安装完成数")
	private Long downloadInstalled;
	/**有效咨询率*/
	@Excel(name = "有效咨询率", width = 15)
    @ApiModelProperty(value = "有效咨询率")
	private java.math.BigDecimal eventConversionClickRatio;
	/**关键行为成本*/
	@Excel(name = "关键行为成本", width = 15)
    @ApiModelProperty(value = "关键行为成本")
	private java.math.BigDecimal keyActionCost;
	/**转化数（7日曝光时间归因*/
	@Excel(name = "转化数（7日曝光时间归因", width = 15)
    @ApiModelProperty(value = "转化数（7日曝光时间归因")
	private Long conversionNumByImpression7d;
	/**首日授信成本*/
	@Excel(name = "首日授信成本", width = 15)
    @ApiModelProperty(value = "首日授信成本")
	private java.math.BigDecimal eventCreditGrantFirstDayAppCost;
	/**提交订单数*/
	@Excel(name = "提交订单数", width = 15)
    @ApiModelProperty(value = "提交订单数")
	private Long eventOrderSubmit;
	/**次日留存数*/
	@Excel(name = "次日留存数", width = 15)
    @ApiModelProperty(value = "次日留存数")
	private Long eventNextDayStay;
	/**完件数*/
	@Excel(name = "完件数", width = 15)
    @ApiModelProperty(value = "完件数")
	private Long eventJinJianApp;
	/**电话拨打成本*/
	@Excel(name = "电话拨打成本", width = 15)
    @ApiModelProperty(value = "电话拨打成本")
	private java.math.BigDecimal eventMakingCallsCost;
	/**预约表单点击率*/
	@Excel(name = "预约表单点击率", width = 15)
    @ApiModelProperty(value = "预约表单点击率")
	private java.math.BigDecimal eventAppointFormRatio;
	/**广告观看次数转化率*/
	@Excel(name = "广告观看次数转化率", width = 15)
    @ApiModelProperty(value = "广告观看次数转化率")
	private java.math.BigDecimal eventAdWatchTimesRatio;
	/**电话拨打成本*/
	@Excel(name = "电话拨打成本", width = 15)
    @ApiModelProperty(value = "电话拨打成本")
	private java.math.BigDecimal eventOutboundCallCost;
	/** 按钮点击成本 当日消耗 / 按钮点击数*/
	@Excel(name = " 按钮点击成本 当日消耗 / 按钮点击数", width = 15)
    @ApiModelProperty(value = " 按钮点击成本 当日消耗 / 按钮点击数")
	private java.math.BigDecimal eventButtonClickCost;
	/**封面点击率*/
	@Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
	private java.math.BigDecimal photoClickRatio;
	/**电话拨打数*/
	@Excel(name = "电话拨打数", width = 15)
    @ApiModelProperty(value = "电话拨打数")
	private Long eventOutboundCall;
	/**平均封面点击单价*/
	@Excel(name = "平均封面点击单价", width = 15)
    @ApiModelProperty(value = "平均封面点击单价")
	private java.math.BigDecimal photoClickCost;
	/**安卓下载完成率*/
	@Excel(name = "安卓下载完成率", width = 15)
    @ApiModelProperty(value = "安卓下载完成率")
	private java.math.BigDecimal downloadCompletedRatio;
	/**智能电话-确认接通成本*/
	@Excel(name = "智能电话-确认接通成本", width = 15)
    @ApiModelProperty(value = "智能电话-确认接通成本")
	private Long eventGetThroughCost;
	/**落地页新增完件人数/(激活数+表单数)*/
	@Excel(name = "落地页新增完件人数/(激活数+表单数)", width = 15)
    @ApiModelProperty(value = "落地页新增完件人数/(激活数+表单数)")
	private java.math.BigDecimal eventNewUserJinjianPageRoi;
	/**新增完件人数*/
	@Excel(name = "新增完件人数", width = 15)
    @ApiModelProperty(value = "新增完件人数")
	private Long eventNewUserJinjianApp;
	/** 开始下载*/
	@Excel(name = " 开始下载", width = 15)
    @ApiModelProperty(value = " 开始下载")
	private Long downloadStarted;
	/**花费*/
	@Excel(name = "花费", width = 15)
    @ApiModelProperty(value = "花费")
	private java.math.BigDecimal charge;
	/**取消关注数*/
	@Excel(name = "取消关注数", width = 15)
    @ApiModelProperty(value = "取消关注数")
	private Long cancelFollow;
	/** 完播率 按钮点击数 / 行为数*/
	@Excel(name = " 完播率 按钮点击数 / 行为数", width = 15)
    @ApiModelProperty(value = " 完播率 按钮点击数 / 行为数")
	private java.math.BigDecimal playEndRatio;
	/**付费次数*/
	@Excel(name = "付费次数", width = 15)
    @ApiModelProperty(value = "付费次数")
	private Long eventPay;
	/**平均行为单价*/
	@Excel(name = "平均行为单价", width = 15)
    @ApiModelProperty(value = "平均行为单价")
	private java.math.BigDecimal actionCost;
	/**落地页授信成本*/
	@Excel(name = "落地页授信成本", width = 15)
    @ApiModelProperty(value = "落地页授信成本")
	private java.math.BigDecimal eventCreditGrantLandingPageCost;
	/**落地页首日授信成本*/
	@Excel(name = "落地页首日授信成本", width = 15)
    @ApiModelProperty(value = "落地页首日授信成本")
	private java.math.BigDecimal eventCreditGrantFirstDayLandingPageCost;
	/**app首日授信数*/
	@Excel(name = "app首日授信数", width = 15)
    @ApiModelProperty(value = "app首日授信数")
	private Long eventCreditGrantFirstDayApp;
	/**取消点赞数*/
	@Excel(name = "取消点赞数", width = 15)
    @ApiModelProperty(value = "取消点赞数")
	private Long cancelLike;
	/** 75%进度播放率*/
	@Excel(name = " 75%进度播放率", width = 15)
    @ApiModelProperty(value = " 75%进度播放率")
	private java.math.BigDecimal adPhotoPlayed75percentRatio;
	/**激活单价*/
	@Excel(name = "激活单价", width = 15)
    @ApiModelProperty(value = "激活单价")
	private java.math.BigDecimal conversionCost;
	/**激活后三日付费金额*/
	@Excel(name = "激活后三日付费金额", width = 15)
    @ApiModelProperty(value = "激活后三日付费金额")
	private Long eventPayPurchaseAmountThreeDayByConversion;
	/**激活后24h次日留存数（激活时间）*/
	@Excel(name = "激活后24h次日留存数（激活时间）", width = 15)
    @ApiModelProperty(value = "激活后24h次日留存数（激活时间）")
	private Long event24hStayByConversion;
	/**5次广告观看转化率*/
	@Excel(name = "5次广告观看转化率", width = 15)
    @ApiModelProperty(value = "5次广告观看转化率")
	private java.math.BigDecimal eventAdWatch5TimesRatio;
	/**5次广告广告观看数*/
	@Excel(name = "5次广告广告观看数", width = 15)
    @ApiModelProperty(value = "5次广告广告观看数")
	private Long eventAdWatch5Times;
	/**行为数*/
	@Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
	private Long bclick;
	/**3日留存*/
	@Excel(name = "3日留存", width = 15)
    @ApiModelProperty(value = "3日留存")
	private Long eventThreeDayStayByConversion;
	/**智能电话-确认接通数*/
	@Excel(name = "智能电话-确认接通数", width = 15)
    @ApiModelProperty(value = "智能电话-确认接通数")
	private Long eventGetThrough;
	/**激活后3日ROI*/
	@Excel(name = "激活后3日ROI", width = 15)
    @ApiModelProperty(value = "激活后3日ROI")
	private java.math.BigDecimal eventPayPurchaseAmountThreeDayByConversionRoi;
	/**关键行为率*/
	@Excel(name = "关键行为率", width = 15)
    @ApiModelProperty(value = "关键行为率")
	private java.math.BigDecimal keyActionRatio;
	/**3日留存成本*/
	@Excel(name = "3日留存成本", width = 15)
    @ApiModelProperty(value = "3日留存成本")
	private java.math.BigDecimal eventThreeDayStayByConversionCost;
	/**广告观看次数成本*/
	@Excel(name = "广告观看次数成本", width = 15)
    @ApiModelProperty(value = "广告观看次数成本")
	private java.math.BigDecimal eventAdWatchTimesCost;
	/**添加购物车数*/
	@Excel(name = "添加购物车数", width = 15)
    @ApiModelProperty(value = "添加购物车数")
	private Long eventAddShoppingCart;
	/**预约表单点击成本*/
	@Excel(name = "预约表单点击成本", width = 15)
    @ApiModelProperty(value = "预约表单点击成本")
	private java.math.BigDecimal eventAppointFormCost;
	/**点击激活成本*/
	@Excel(name = "点击激活成本", width = 15)
    @ApiModelProperty(value = "点击激活成本")
	private java.math.BigDecimal clickConversionRatio;
	/**预约表单数*/
	@Excel(name = "预约表单数", width = 15)
    @ApiModelProperty(value = "预约表单数")
	private Long eventAppointForm;
	/**付款成功金额*/
	@Excel(name = "付款成功金额", width = 15)
    @ApiModelProperty(value = "付款成功金额")
	private java.math.BigDecimal eventOrderPaidPurchaseAmount;
	/** 落地页授信数*/
	@Excel(name = " 落地页授信数", width = 15)
    @ApiModelProperty(value = " 落地页授信数")
	private Long eventCreditGrantLandingPage;
	/**eventNewUserCreditGrantPageCost*/
	@Excel(name = "eventNewUserCreditGrantPageCost", width = 15)
    @ApiModelProperty(value = "eventNewUserCreditGrantPageCost")
	private java.math.BigDecimal eventNewUserCreditGrantPageCost;
	/**激活后7日付费金额*/
	@Excel(name = "激活后7日付费金额", width = 15)
    @ApiModelProperty(value = "激活后7日付费金额")
	private java.math.BigDecimal eventPayPurchaseAmountWeekByConversion;
	/**留咨咨询率*/
	@Excel(name = "留咨咨询率", width = 15)
    @ApiModelProperty(value = "留咨咨询率")
	private java.math.BigDecimal eventConsultationValidRetainedRatio;
	/** 落地页多转化次数*/
	@Excel(name = " 落地页多转化次数", width = 15)
    @ApiModelProperty(value = " 落地页多转化次数")
	private Long eventMultiConversion;
	/**预约跳转点击成本*/
	@Excel(name = "预约跳转点击成本", width = 15)
    @ApiModelProperty(value = "预约跳转点击成本")
	private java.math.BigDecimal eventAppointJumpClickCost;
	/**完件成本*/
	@Excel(name = "完件成本", width = 15)
    @ApiModelProperty(value = "完件成本")
	private java.math.BigDecimal eventJinJianAppCost;
	/**3s播放率*/
	@Excel(name = "3s播放率", width = 15)
    @ApiModelProperty(value = "3s播放率")
	private java.math.BigDecimal play3sRatio;
	/**5s播放率*/
	@Excel(name = "5s播放率", width = 15)
    @ApiModelProperty(value = "5s播放率")
	private java.math.BigDecimal play5sRatio;
	/**深度转化率（7日曝光时间归因）*/
	@Excel(name = "深度转化率（7日曝光时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化率（7日曝光时间归因）")
	private java.math.BigDecimal deepConversionRatioByImpression7d;
	/**激活数*/
	@Excel(name = "激活数", width = 15)
    @ApiModelProperty(value = "激活数")
	private Long activation;
	/**激活后24h付费金额(激活时间)*/
	@Excel(name = "激活后24h付费金额(激活时间)", width = 15)
    @ApiModelProperty(value = "激活后24h付费金额(激活时间)")
	private java.math.BigDecimal eventPayPurchaseAmountOneDayByConversion;
	/**智能电话-确认接通率*/
	@Excel(name = "智能电话-确认接通率", width = 15)
    @ApiModelProperty(value = "智能电话-确认接通率")
	private java.math.BigDecimal eventGetThroughRatio;
	/**表单提交数*/
	@Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
	private Long submit;
	/**75%进度播放数*/
	@Excel(name = "75%进度播放数", width = 15)
    @ApiModelProperty(value = "75%进度播放数")
	private Long adPhotoPlayed75percent;
	/**唤醒应用率*/
	@Excel(name = "唤醒应用率", width = 15)
    @ApiModelProperty(value = "唤醒应用率")
	private java.math.BigDecimal eventAppInvokedRatio;
	/**封面曝光数*/
	@Excel(name = "封面曝光数", width = 15)
    @ApiModelProperty(value = "封面曝光数")
	private Long show;
	/**下载完成激活率*/
	@Excel(name = "下载完成激活率", width = 15)
    @ApiModelProperty(value = "下载完成激活率")
	private java.math.BigDecimal downloadConversionRatio;
	/**10次广告观看成本*/
	@Excel(name = "10次广告观看成本", width = 15)
    @ApiModelProperty(value = "10次广告观看成本")
	private java.math.BigDecimal eventAdWatch10TimesCost;
	/**减少此类作品数*/
	@Excel(name = "减少此类作品数", width = 15)
    @ApiModelProperty(value = "减少此类作品数")
	private Long negative;
	/**激活后24h次日留存率（激活时间）*/
	@Excel(name = "激活后24h次日留存率（激活时间）", width = 15)
    @ApiModelProperty(value = "激活后24h次日留存率（激活时间）")
	private java.math.BigDecimal event24hStayByConversionRatio;
	/**表单提交数*/
	@Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
	private Long formCount;
	/**量房数*/
	@Excel(name = "量房数", width = 15)
    @ApiModelProperty(value = "量房数")
	private Long eventMeasurementHouse;
	/** 新增付费人数成本：当日消耗 / 当日新增付费人数*/
	@Excel(name = " 新增付费人数成本：当日消耗 / 当日新增付费人数", width = 15)
    @ApiModelProperty(value = " 新增付费人数成本：当日消耗 / 当日新增付费人数")
	private java.math.BigDecimal eventNewUserPayCost;
	/**新增完件人数成本：消耗/新增完件人数*/
	@Excel(name = "新增完件人数成本：消耗/新增完件人数", width = 15)
    @ApiModelProperty(value = "新增完件人数成本：消耗/新增完件人数")
	private java.math.BigDecimal eventNewUserJinjianAppCost;
	/**eventNewUserCreditGrantPage*/
	@Excel(name = "eventNewUserCreditGrantPage", width = 15)
    @ApiModelProperty(value = "eventNewUserCreditGrantPage")
	private Long eventNewUserCreditGrantPage;
	/**7日留存成本*/
	@Excel(name = "7日留存成本", width = 15)
    @ApiModelProperty(value = "7日留存成本")
	private java.math.BigDecimal eventWeekStayByConversionCost;
	/**深度转化数（7日曝光时间归因）*/
	@Excel(name = "深度转化数（7日曝光时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化数（7日曝光时间归因）")
	private Long deepConversionNumByImpression7d;
	/**eventNewUserCreditGrantPageRoi*/
	@Excel(name = "eventNewUserCreditGrantPageRoi", width = 15)
    @ApiModelProperty(value = "eventNewUserCreditGrantPageRoi")
	private java.math.BigDecimal eventNewUserCreditGrantPageRoi;
	/**7日付费次数*/
	@Excel(name = "7日付费次数", width = 15)
    @ApiModelProperty(value = "7日付费次数")
	private Long eventPayWeekByConversion;
	/** 信用卡核卡数*/
	@Excel(name = " 信用卡核卡数", width = 15)
    @ApiModelProperty(value = " 信用卡核卡数")
	private Long eventCreditCardRecheck;
	/**直播观看数*/
	@Excel(name = "直播观看数", width = 15)
    @ApiModelProperty(value = "直播观看数")
	private Long livePlayed3s;
	/**素材曝光数*/
	@Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
	private Long aclick;
	/** 授信数*/
	@Excel(name = " 授信数", width = 15)
    @ApiModelProperty(value = " 授信数")
	private Long eventCreditGrantApp;
	/**深度转化数（回传时间归因）*/
	@Excel(name = "深度转化数（回传时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化数（回传时间归因）")
	private Long deepConversionNum;
	/**20次广告观看转化率*/
	@Excel(name = "20次广告观看转化率", width = 15)
    @ApiModelProperty(value = "20次广告观看转化率")
	private java.math.BigDecimal eventAdWatch20TimesRatio;
	/**广告观看次数*/
	@Excel(name = "广告观看次数", width = 15)
    @ApiModelProperty(value = "广告观看次数")
	private Long eventAdWatchTimes;
	/**行为率*/
	@Excel(name = "行为率", width = 15)
    @ApiModelProperty(value = "行为率")
	private java.math.BigDecimal actionRatio;
	/**转化率（回传时间归因）*/
	@Excel(name = "转化率（回传时间归因）", width = 15)
    @ApiModelProperty(value = "转化率（回传时间归因）")
	private java.math.BigDecimal conversionRatio;
	/**首日付费金额*/
	@Excel(name = "首日付费金额", width = 15)
    @ApiModelProperty(value = "首日付费金额")
	private Long eventPayPurchaseAmountFirstDay;
	/**评论数*/
	@Excel(name = "评论数", width = 15)
    @ApiModelProperty(value = "评论数")
	private Long comment;
	/**单次付款成本*/
	@Excel(name = "单次付款成本", width = 15)
    @ApiModelProperty(value = "单次付款成本")
	private java.math.BigDecimal eventOrderPaidCost;
	/**预约跳转点击率*/
	@Excel(name = "预约跳转点击率", width = 15)
    @ApiModelProperty(value = "预约跳转点击率")
	private java.math.BigDecimal eventAppointJumpClickRatio;
	/**首日付费次数*/
	@Excel(name = "首日付费次数", width = 15)
    @ApiModelProperty(value = "首日付费次数")
	private Long eventPayFirstDay;
	/**转化成本（回传时间归因)*/
	@Excel(name = "转化成本（回传时间归因)", width = 15)
    @ApiModelProperty(value = "转化成本（回传时间归因)")
	private java.math.BigDecimal conversionNumCost;
	/** 新增付费人数率：当日新增付费人数 / 当日行为数*/
	@Excel(name = " 新增付费人数率：当日新增付费人数 / 当日行为数", width = 15)
    @ApiModelProperty(value = " 新增付费人数率：当日新增付费人数 / 当日行为数")
	private java.math.BigDecimal eventNewUserPayRatio;
	/**7日付费次数成本*/
	@Excel(name = "7日付费次数成本", width = 15)
    @ApiModelProperty(value = "7日付费次数成本")
	private java.math.BigDecimal eventPayWeekByConversionCost;
	/**7日留存率*/
	@Excel(name = "7日留存率", width = 15)
    @ApiModelProperty(value = "7日留存率")
	private java.math.BigDecimal eventWeekStayByConversionRatio;
	/** 新增授信人数*/
	@Excel(name = " 新增授信人数", width = 15)
    @ApiModelProperty(value = " 新增授信人数")
	private Long eventNewUserCreditGrantApp;
	/**付款成功数*/
	@Excel(name = "付款成功数", width = 15)
    @ApiModelProperty(value = "付款成功数")
	private Long eventOrderPaid;
	/**ROI*/
	@Excel(name = "ROI", width = 15)
    @ApiModelProperty(value = "ROI")
	private java.math.BigDecimal eventPayRoi;
	/** 商品访问成本*/
	@Excel(name = " 商品访问成本", width = 15)
    @ApiModelProperty(value = " 商品访问成本")
	private java.math.BigDecimal eventGoodsViewCost;
	/**激活后24小时付费ROI*/
	@Excel(name = "激活后24小时付费ROI", width = 15)
    @ApiModelProperty(value = "激活后24小时付费ROI")
	private java.math.BigDecimal eventPayPurchaseAmountOneDayByConversionRoi;
	/**  拉黑数*/
	@Excel(name = "  拉黑数", width = 15)
    @ApiModelProperty(value = "  拉黑数")
	private Long block;
	/** 唤醒应用数*/
	@Excel(name = " 唤醒应用数", width = 15)
    @ApiModelProperty(value = " 唤醒应用数")
	private Long eventAppInvoked;
	/**次日留存率*/
	@Excel(name = "次日留存率", width = 15)
    @ApiModelProperty(value = "次日留存率")
	private java.math.BigDecimal eventNextDayStayRatio;
	/** 10s播放率*/
	@Excel(name = " 10s播放率", width = 15)
    @ApiModelProperty(value = " 10s播放率")
	private java.math.BigDecimal adPhotoPlayed10sRatio;
	/**转化率（7日曝光时间归因）*/
	@Excel(name = "转化率（7日曝光时间归因）", width = 15)
    @ApiModelProperty(value = "转化率（7日曝光时间归因）")
	private java.math.BigDecimal conversionRatioByImpression7d;
	/**信用卡首日核卡数*/
	@Excel(name = "信用卡首日核卡数", width = 15)
    @ApiModelProperty(value = "信用卡首日核卡数")
	private Long eventCreditCardRecheckFirstDay;
	/**20次广告观看成本*/
	@Excel(name = "20次广告观看成本", width = 15)
    @ApiModelProperty(value = "20次广告观看成本")
	private java.math.BigDecimal eventAdWatch20TimesCost;
	/** 添加购物车成本*/
	@Excel(name = " 添加购物车成本", width = 15)
    @ApiModelProperty(value = " 添加购物车成本")
	private java.math.BigDecimal eventAddShoppingCartCost;
	/**首日加权付费金额-当日激活的用户在当天产生的付费行为所带来的加权付费金额 单位:元，当前用于保险行业*/
	@Excel(name = "首日加权付费金额-当日激活的用户在当天产生的付费行为所带来的加权付费金额 单位:元，当前用于保险行业", width = 15)
    @ApiModelProperty(value = "首日加权付费金额-当日激活的用户在当天产生的付费行为所带来的加权付费金额 单位:元，当前用于保险行业")
	private Long eventPayWeightedPurchaseAmountFirstDay;
	/**落地页首日授信率*/
	@Excel(name = "落地页首日授信率", width = 15)
    @ApiModelProperty(value = "落地页首日授信率")
	private java.math.BigDecimal eventCreditGrantFirstDayLandingPageRatio;
	/**激活后24h-ROI(回传时间)*/
	@Excel(name = "激活后24h-ROI(回传时间)", width = 15)
    @ApiModelProperty(value = "激活后24h-ROI(回传时间)")
	private java.math.BigDecimal eventPayPurchaseAmountOneDayRoi;
	/**激活后24h次日留存成本（激活时间）*/
	@Excel(name = "激活后24h次日留存成本（激活时间）", width = 15)
    @ApiModelProperty(value = "激活后24h次日留存成本（激活时间）")
	private java.math.BigDecimal event24hStayByConversionCost;
	/**激活后24h次日留存率（回传时间）*/
	@Excel(name = "激活后24h次日留存率（回传时间）", width = 15)
    @ApiModelProperty(value = "激活后24h次日留存率（回传时间）")
	private java.math.BigDecimal event24hStayRatio;
	/**播放完成*/
	@Excel(name = "播放完成", width = 15)
    @ApiModelProperty(value = "播放完成")
	private Long playedEnd;
	/**首次试听到课数*/
	@Excel(name = "首次试听到课数", width = 15)
    @ApiModelProperty(value = "首次试听到课数")
	private Long eventAudition;
	/**授信率*/
	@Excel(name = "授信率", width = 15)
    @ApiModelProperty(value = "授信率")
	private java.math.BigDecimal eventCreditGrantAppRatio;
	/** 落地页授信率*/
	@Excel(name = " 落地页授信率", width = 15)
    @ApiModelProperty(value = " 落地页授信率")
	private java.math.BigDecimal eventCreditGrantLandingRatio;
	/**7日留存*/
	@Excel(name = "7日留存", width = 15)
    @ApiModelProperty(value = "7日留存")
	private Long eventWeekStayByConversion;
	/**有效播放数*/
	@Excel(name = "有效播放数", width = 15)
    @ApiModelProperty(value = "有效播放数")
	private Long playedThreeSeconds;
	/**3日留存率*/
	@Excel(name = "3日留存率", width = 15)
    @ApiModelProperty(value = "3日留存率")
	private java.math.BigDecimal eventThreeDayStayByConversionRatio;
	/**分享数*/
	@Excel(name = "分享数", width = 15)
    @ApiModelProperty(value = "分享数")
	private Long share;
	/**  行为率 新 */
	@Excel(name = "  行为率 新 ", width = 15)
    @ApiModelProperty(value = "  行为率 新 ")
	private java.math.BigDecimal actionNewRatio;
	/**20次广告广告观看数*/
	@Excel(name = "20次广告广告观看数", width = 15)
    @ApiModelProperty(value = "20次广告广告观看数")
	private Long eventAdWatch20Times;
	/**广告观看*/
	@Excel(name = "广告观看", width = 15)
    @ApiModelProperty(value = "广告观看")
	private Long eventWatchAppAd;
	/**注册数*/
	@Excel(name = "注册数", width = 15)
    @ApiModelProperty(value = "注册数")
	private Long eventRegister;
	/**落地页多转化成本*/
	@Excel(name = "落地页多转化成本", width = 15)
    @ApiModelProperty(value = "落地页多转化成本")
	private java.math.BigDecimal eventMultiConversionCost;
	/** 落地页完件成本*/
	@Excel(name = " 落地页完件成本", width = 15)
    @ApiModelProperty(value = " 落地页完件成本")
	private java.math.BigDecimal eventJinJianLandingPageCost;
	/**留咨咨询数*/
	@Excel(name = "留咨咨询数", width = 15)
    @ApiModelProperty(value = "留咨咨询数")
	private Long eventConsultationValidRetained;
	/**新增授信人数率：新增授信人数/ 转化+表单提交 */
	@Excel(name = "新增授信人数率：新增授信人数/ 转化+表单提交 ", width = 15)
    @ApiModelProperty(value = "新增授信人数率：新增授信人数/ 转化+表单提交 ")
	private java.math.BigDecimal eventNewUserCreditGrantAppRoi;
	/** 新增授信人数成本：消耗/新增授信人数*/
	@Excel(name = " 新增授信人数成本：消耗/新增授信人数", width = 15)
    @ApiModelProperty(value = " 新增授信人数成本：消耗/新增授信人数")
	private java.math.BigDecimal eventNewUserCreditGrantAppCost;
	/**电话卡激活数*/
	@Excel(name = "电话卡激活数", width = 15)
    @ApiModelProperty(value = "电话卡激活数")
	private Long eventPhoneCardActivate;
	/** 新增付费人数*/
	@Excel(name = " 新增付费人数", width = 15)
    @ApiModelProperty(value = " 新增付费人数")
	private Long eventNewUserPay;
	/**留咨咨询成本*/
	@Excel(name = "留咨咨询成本", width = 15)
    @ApiModelProperty(value = "留咨咨询成本")
	private java.math.BigDecimal eventConsultationValidRetainedCost;
	/**10次广告观看转化率*/
	@Excel(name = "10次广告观看转化率", width = 15)
    @ApiModelProperty(value = "10次广告观看转化率")
	private java.math.BigDecimal eventAdWatch10TimesRatio;
	/**举报数*/
	@Excel(name = "举报数", width = 15)
    @ApiModelProperty(value = "举报数")
	private Long report;
	/**播放5s*/
	@Excel(name = "播放5s", width = 15)
    @ApiModelProperty(value = "播放5s")
	private Long playedFiveSeconds;
	/**2s播放数*/
	@Excel(name = "2s播放数", width = 15)
    @ApiModelProperty(value = "2s播放数")
	private Long adPhotoPlayed2s;
	/** 涨粉量*/
	@Excel(name = " 涨粉量", width = 15)
    @ApiModelProperty(value = " 涨粉量")
	private Long merchantRecoFans;
	/** 微信复制率*/
	@Excel(name = " 微信复制率", width = 15)
    @ApiModelProperty(value = " 微信复制率")
	private java.math.BigDecimal eventAddWechatRatio;
	/**预约跳转点击数*/
	@Excel(name = "预约跳转点击数", width = 15)
    @ApiModelProperty(value = "预约跳转点击数")
	private Long eventAppointJumpClick;
	/**按钮点击率：按钮点击数 / 行为数*/
	@Excel(name = "按钮点击率：按钮点击数 / 行为数", width = 15)
    @ApiModelProperty(value = "按钮点击率：按钮点击数 / 行为数")
	private java.math.BigDecimal eventButtonClickRatio;
	/**微信小程序深度加粉数*/
	@Excel(name = "微信小程序深度加粉数", width = 15)
    @ApiModelProperty(value = "微信小程序深度加粉数")
	private Long eventWechatQrCodeLinkClick;
	/**首日ROI*/
	@Excel(name = "首日ROI", width = 15)
    @ApiModelProperty(value = "首日ROI")
	private java.math.BigDecimal eventPayFirstDayRoi;
	/**深度转化成本（7日曝光时间归因）*/
	@Excel(name = "深度转化成本（7日曝光时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化成本（7日曝光时间归因）")
	private java.math.BigDecimal deepConversionCostByImpression7d;
	/**次日留存成本*/
	@Excel(name = "次日留存成本", width = 15)
    @ApiModelProperty(value = "次日留存成本")
	private java.math.BigDecimal eventNextDayStayCost;
	/**深度转化率（回传时间归因）*/
	@Excel(name = "深度转化率（回传时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化率（回传时间归因）")
	private java.math.BigDecimal deepConversionRatio;
	/**深度转化成本（回传时间归因）*/
	@Excel(name = "深度转化成本（回传时间归因）", width = 15)
    @ApiModelProperty(value = "深度转化成本（回传时间归因）")
	private java.math.BigDecimal deepConversionCost;
	/** 点赞数*/
	@Excel(name = " 点赞数", width = 15)
    @ApiModelProperty(value = " 点赞数")
	private Long like;
	/**订单支付率：订单支付数/商品访问数*/
	@Excel(name = "订单支付率：订单支付数/商品访问数", width = 15)
    @ApiModelProperty(value = "订单支付率：订单支付数/商品访问数")
	private java.math.BigDecimal eventOrderPaidRoi;
	/**微信复制成本*/
	@Excel(name = "微信复制成本", width = 15)
    @ApiModelProperty(value = "微信复制成本")
	private java.math.BigDecimal eventAddWechatCost;
	/**唤醒应用成本*/
	@Excel(name = "唤醒应用成本", width = 15)
    @ApiModelProperty(value = "唤醒应用成本")
	private java.math.BigDecimal eventAppInvokedCost;
	/**  注册率*/
	@Excel(name = "  注册率", width = 15)
    @ApiModelProperty(value = "  注册率")
	private java.math.BigDecimal eventRegisterRatio;
	/**关键行为数*/
	@Excel(name = "关键行为数", width = 15)
    @ApiModelProperty(value = "关键行为数")
	private Long keyAction;
	/**转化成本（7日曝光时间归因）*/
	@Excel(name = "转化成本（7日曝光时间归因）", width = 15)
    @ApiModelProperty(value = "转化成本（7日曝光时间归因）")
	private java.math.BigDecimal conversionCostByImpression7d;
	/**淘系近似购买成本*/
	@Excel(name = "淘系近似购买成本", width = 15)
    @ApiModelProperty(value = "淘系近似购买成本")
	private java.math.BigDecimal approxPayCost;
	/** 涨粉成本*/
	@Excel(name = " 涨粉成本", width = 15)
    @ApiModelProperty(value = " 涨粉成本")
	private java.math.BigDecimal merchantRecoFansCost;
	/**10s播放数*/
	@Excel(name = "10s播放数", width = 15)
    @ApiModelProperty(value = "10s播放数")
	private Long adPhotoPlayed10s;
	/**微信加粉数*/
	@Excel(name = "微信加粉数", width = 15)
    @ApiModelProperty(value = "微信加粉数")
	private Long eventWechatConnected;
	/**表单提交点击率*/
	@Excel(name = "表单提交点击率", width = 15)
    @ApiModelProperty(value = "表单提交点击率")
	private java.math.BigDecimal formActionRatio;
	/**电话拨打数-用户点击电话按钮的次数*/
	@Excel(name = "电话拨打数-用户点击电话按钮的次数", width = 15)
    @ApiModelProperty(value = "电话拨打数-用户点击电话按钮的次数")
	private Long eventMakingCalls;
	/** 附加组件表单提交*/
	@Excel(name = " 附加组件表单提交", width = 15)
    @ApiModelProperty(value = " 附加组件表单提交")
	private Long eventDspGiftForm;
	/**商品成交数*/
	@Excel(name = "商品成交数", width = 15)
    @ApiModelProperty(value = "商品成交数")
	private Long adProductCnt;
	/**历史30天内首次产生完件行为的人数*/
	@Excel(name = "历史30天内首次产生完件行为的人数", width = 15)
    @ApiModelProperty(value = "历史30天内首次产生完件行为的人数")
	private Long eventNewUserJinjianPage;
	/**表单提交单价*/
	@Excel(name = "表单提交单价", width = 15)
    @ApiModelProperty(value = "表单提交单价")
	private java.math.BigDecimal formCost;
	/**意向确认数*/
	@Excel(name = "意向确认数", width = 15)
    @ApiModelProperty(value = "意向确认数")
	private Long eventIntentionConfirmed;
	/**电话建联数*/
	@Excel(name = "电话建联数", width = 15)
    @ApiModelProperty(value = "电话建联数")
	private Long eventPhoneGetThrough;
	/**落地页首日授信数*/
	@Excel(name = "落地页首日授信数", width = 15)
    @ApiModelProperty(value = "落地页首日授信数")
	private Long eventCreditGrantFirstDayLandingPage;
	/**安卓下载完成单价（元*/
	@Excel(name = "安卓下载完成单价（元", width = 15)
    @ApiModelProperty(value = "安卓下载完成单价（元")
	private java.math.BigDecimal downloadCompletedCost;
	/**付费金额*/
	@Excel(name = "付费金额", width = 15)
    @ApiModelProperty(value = "付费金额")
	private java.math.BigDecimal eventPayPurchaseAmount;
	/** 落地页多转化率*/
	@Excel(name = " 落地页多转化率", width = 15)
    @ApiModelProperty(value = " 落地页多转化率")
	private java.math.BigDecimal eventMultiConversionRatio;
	/**电话拨打率*/
	@Excel(name = "电话拨打率", width = 15)
    @ApiModelProperty(value = "电话拨打率")
	private java.math.BigDecimal eventMakingCallsRatio;
	/** 微信复制数*/
	@Excel(name = " 微信复制数", width = 15)
    @ApiModelProperty(value = " 微信复制数")
	private Long eventAddWechat;
	/**平均千次素材曝光花费(元)*/
	@Excel(name = "平均千次素材曝光花费(元)", width = 15)
    @ApiModelProperty(value = "平均千次素材曝光花费(元)")
	private java.math.BigDecimal click1kCost;
	/**平均千次封面曝光花费*/
	@Excel(name = "平均千次封面曝光花费", width = 15)
    @ApiModelProperty(value = "平均千次封面曝光花费")
	private java.math.BigDecimal impression1kCost;
	/**转化数(回传时间)*/
	@Excel(name = "转化数(回传时间)", width = 15)
    @ApiModelProperty(value = "转化数(回传时间)")
	private Long conversionNum;
	/**安卓下载开始率*/
	@Excel(name = "安卓下载开始率", width = 15)
    @ApiModelProperty(value = "安卓下载开始率")
	private java.math.BigDecimal downloadStartedRatio;
	/**10次广告广告观看数*/
	@Excel(name = "10次广告广告观看数", width = 15)
    @ApiModelProperty(value = "10次广告广告观看数")
	private Long eventAdWatch10Times;
	/**商品访问数*/
	@Excel(name = "商品访问数", width = 15)
    @ApiModelProperty(value = "商品访问数")
	private Long eventGoodsView;
	/**安卓下载开始单价（元）*/
	@Excel(name = "安卓下载开始单价（元）", width = 15)
    @ApiModelProperty(value = "安卓下载开始单价（元）")
	private java.math.BigDecimal downloadStartedCost;
	/**首日授信率*/
	@Excel(name = "首日授信率", width = 15)
    @ApiModelProperty(value = "首日授信率")
	private java.math.BigDecimal eventCreditGrantFirstDayAppRatio;
	/**日期*/
	@Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
	private String statDate;
	/**新增完件人数率：新增完件人数/ 转化+表单提交*/
	@Excel(name = "新增完件人数率：新增完件人数/ 转化+表单提交", width = 15)
    @ApiModelProperty(value = "新增完件人数率：新增完件人数/ 转化+表单提交")
	private java.math.BigDecimal eventNewUserJinjianAppRoi;
	/** 2s播放率*/
	@Excel(name = " 2s播放率", width = 15)
    @ApiModelProperty(value = " 2s播放率")
	private java.math.BigDecimal adPhotoPlayed2sRatio;
	/**  电话拨打率*/
	@Excel(name = "  电话拨打率", width = 15)
    @ApiModelProperty(value = "  电话拨打率")
	private java.math.BigDecimal eventOutboundCallRatio;
	/**激活后24h次日留存成本（回传时间）*/
	@Excel(name = "激活后24h次日留存成本（回传时间）", width = 15)
    @ApiModelProperty(value = "激活后24h次日留存成本（回传时间）")
	private java.math.BigDecimal event24hStayCost;
	/**关注数*/
	@Excel(name = "关注数", width = 15)
    @ApiModelProperty(value = "关注数")
	private Long follow;
	/**激活后7日ROI*/
	@Excel(name = "激活后7日ROI", width = 15)
    @ApiModelProperty(value = "激活后7日ROI")
	private java.math.BigDecimal eventPayPurchaseAmountWeekByConversionRoi;
	/**激活后24h付费金额(回传时间)*/
	@Excel(name = "激活后24h付费金额(回传时间)", width = 15)
    @ApiModelProperty(value = "激活后24h付费金额(回传时间)")
	private Long eventPayPurchaseAmountOneDay;
	/** 落地页完件数*/
	@Excel(name = " 落地页完件数", width = 15)
    @ApiModelProperty(value = " 落地页完件数")
	private Long eventJinJianLandingPage;
	/**有效咨询成本*/
	@Excel(name = "有效咨询成本", width = 15)
    @ApiModelProperty(value = "有效咨询成本")
	private java.math.BigDecimal eventConversionClickCost;
	/**直播查看商品数*/
	@Excel(name = "直播查看商品数", width = 15)
    @ApiModelProperty(value = "直播查看商品数")
	private Long liveEventGoodsView;
}
