package cn.com.ctop.job.kuaishou.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手-素材列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-09-28
 */
@Data
@TableName("kuaishou_video_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_video_list对象", description = "快手-素材列表")
public class KuaishouVideoList {

    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 0 可用 1 删除
     */
    @Excel(name = "0 可用 1 删除", width = 15)
    @ApiModelProperty(value = "0 可用 1 删除")
    private Integer status;
    /**
     * 视频id
     */
    @Excel(name = "视频id", width = 15)
    @ApiModelProperty(value = "视频id")
    private String photoId;
    /**
     * 宽
     */
    @Excel(name = "宽", width = 15)
    @ApiModelProperty(value = "宽")
    private Integer width;
    /**
     * 高
     */
    @Excel(name = "高", width = 15)
    @ApiModelProperty(value = "高")
    private Integer height;
    /**
     * 视频预览链接
     */
    @Excel(name = "视频预览链接", width = 15)
    @ApiModelProperty(value = "视频预览链接")
    private String url;
    /**
     * 视频首帧图片链接
     */
    @Excel(name = "视频首帧图片链接", width = 15)
    @ApiModelProperty(value = "视频首帧图片链接")
    private String coverUrl;
    /**
     * 1 竖版视频 2 横版视频
     */
    @Excel(name = "1 竖版视频 2 横版视频", width = 15)
    @ApiModelProperty(value = "1 竖版视频 2 横版视频")
    private Integer materialType;
    /**
     * 0：自产 1：素造
     */
    @Excel(name = "0：自产 1：素造", width = 15)
    @ApiModelProperty(value = "0：自产 1：素造")
    private Integer channelType;
    /**
     * statDate
     */
    @ApiModelProperty(value = "statDate")
    private Date statDate;
    /**
     * MD5值
     */
    @Excel(name = "MD5值", width = 15)
    @ApiModelProperty(value = "MD5值")
    private String signature;
    /**
     * 素材名称
     */
    @Excel(name = "素材名称", width = 15)
    @ApiModelProperty(value = "素材名称")
    private String photoName;
    /**
     * 素造素材标签
     */
    @Excel(name = "素造素材标签", width = 15)
    @ApiModelProperty(value = "素造素材标签")
    private String materialTag;
    /**
     * 素造供应商id
     */
    @Excel(name = "素造供应商id", width = 15)
    @ApiModelProperty(value = "素造供应商id")
    private Integer supplierAccountId;
    /**
     * 供应商名称
     */
    @Excel(name = "供应商名称", width = 15)
    @ApiModelProperty(value = "供应商名称")
    private String supplierAccountName;
}
