package cn.com.ctop.job.kuaishou.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * token信息
 *
 * @author jeecg-boot
 * @date 2021-09-07
 * @version V1.0
 */
@Data
@TableName("ctop_oauth_token")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_oauth_token对象", description = "token信息")
public class OauthToken {

  /** 主键ID */
  @TableId(type = IdType.UUID)
  @ApiModelProperty(value = "主键ID")
  private String id;
  /** 媒体ID（外部广告平台类型，快手/头条/抖音等） */
  @ApiModelProperty(value = "媒体ID（外部广告平台类型，快手/头条/抖音等）")
  private String mediaId;
  /** 广告主ID(自己平台用户内部id) */
  @ApiModelProperty(value = "广告主ID(自己平台用户内部id)")
  private String advertiserId;
  /** 广告账户ID（相当于头条返回的access_token数据中的advertiser_id） */
  @ApiModelProperty(value = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）")
  private Integer accountId;
  /** 访问令牌 */
  @ApiModelProperty(value = "访问令牌")
  private String accessToken;
  /** 访问令牌有效期 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty(value = "访问令牌有效期")
  private Date accessTokenExpiresIn;
  /** 刷新令牌 */
  @ApiModelProperty(value = "刷新令牌")
  private String refreshToken;
  /** 刷新令牌有效期 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty(value = "刷新令牌有效期")
  private Date refreshTokenExpiresIn;
  /** 代理商类型 0：三方代理商 1：本代理商 */
  @ApiModelProperty(value = "代理商类型 0：三方代理商 1：本代理商")
  private Integer agentType;
  /** appid */
  @ApiModelProperty(value = "appid")
  private Integer appId;
  /** 创建时间 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty(value = "创建时间")
  private Date createTime;
  /** 修改时间 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty(value = "修改时间")
  private Date updateTime;
}
