package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaiShouDailyAgent;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouAdUnitList;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouAgentAccountList;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouCampaignList;
import cn.com.ctop.job.kuaishou.data.entity.MediaSendAlarmRecord;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 快手-广告组信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface AdUnitReportMapper {

    //批量插入 快手-广告组信息
    void replaceBatchKsAdUnit(@Param("addList") List<KuaishouAdUnitList> addList);

    //批量插入 快手-广告计划信息
    void replaceBatchKsCampaign(@Param("addList") List<KuaishouCampaignList> addList);

    //批量插入 快手-代理商数据
    void replaceBatchAgentReport(@Param("addList") List<KuaiShouDailyAgent> addList);

    JSONObject getBidTypeAndMaxBid(@Param("accountId") Long accountId);

    void insertSendRecord(MediaSendAlarmRecord record);

    void deleteByMap(Map<String, Object> deleteMap);

    void replaceBatchKuaishouAgentAccountList(@Param("addList") List<KuaishouAgentAccountList> agentList);
}
