package cn.com.ctop.job.kuaishou.data.service.impl;

import cn.com.ctop.job.kuaishou.data.entity.OauthToken;
import cn.com.ctop.job.kuaishou.data.mapper.OauthTokenMapper;
import cn.com.ctop.job.kuaishou.data.service.IOauthTokenService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
@Service
public class OauthTokenServiceImpl extends ServiceImpl<OauthTokenMapper, OauthToken> implements IOauthTokenService {
  @Autowired
  private OauthTokenMapper tokenMapper;

  @Override
  public String getByAccountId(Long accountId) {
    return tokenMapper.getByAccountId(accountId);
  }

  @Override
  public List<JSONObject> getByProjectId(Long projectId) {
    return tokenMapper.getByProjectId(projectId);
  }

  @Override
  public List<Long> getAllAccountIds() {
    return tokenMapper.getAllAccountIds();
  }

  @Override
  public List<JSONObject> selectKuaiShouToken() {
    return tokenMapper.selectKuaiShouToken();
  }

    @Override
    public List<JSONObject> getAgentTokens() {
        return tokenMapper.getAgentTokens();
    }

  @Override
  public String getOuthTokenAccountId(Long accountId) {
    return tokenMapper.getOuthTokenAccountId(accountId);
  }

  @Override
  public String getAgentTokenByAgentId(Long agentId) {
    return tokenMapper.getAgentTokenByAgentId(agentId);
  }
}
