package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.data.entity.CompassBindAdvertisers;
import cn.com.ctop.job.kuaishou.data.service.CompassBindAdvertisersService;
import cn.com.ctop.job.kuaishou.data.service.IKuaishouVideoListService;
import cn.com.ctop.job.kuaishou.data.service.IOauthTokenService;
import cn.com.ctop.job.kuaishou.data.utils.Check;
import cn.com.ctop.job.kuaishou.data.utils.DateUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Slf4j
@Component
public class CompassBindAdvertisersJob {
    @Autowired
    private IOauthTokenService tokenService;
    @Autowired
    private CompassBindAdvertisersService compassBindAdvertisersService;

    private static ExecutorService campaignExecutorService = Executors.newFixedThreadPool(3);
    private static ExecutorService unitExecutorService = Executors.newFixedThreadPool(3);

    /**
     * 获取罗盘绑定广告主列
     * 当前快手ID,账户ID 固定写死
     */

    @XxlJob("compassAdvertisers")
    public void compassAdvertisers() throws Exception {

        Long advertiserId15 = 4571228536L;
        String token15 = tokenService.getOuthTokenAccountId(55025257L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId15, token15);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId14 = 4571213505L;
        String token14 = tokenService.getOuthTokenAccountId(55017193L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId14, token14);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId13 = 4561842445L;
        String token13 = tokenService.getOuthTokenAccountId(54238703L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId13, token13);
        log.info("------【获取罗盘绑定广告主列】执行完成");
        Long advertiserId3 = 4541570865L;
        String token3 = tokenService.getOuthTokenAccountId(53452511L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId3, token3);
        log.info("------【获取罗盘绑定广告主列】执行完成");

       /* Long advertiserId19 = 4636624659L;
        String token19 = tokenService.getOuthTokenAccountId(58238502L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId19, token19);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId28 = 4671442987L;
        String token28 = tokenService.getOuthTokenAccountId(60881203L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId28, token28);
        log.info("------【获取罗盘绑定广告主列】执行完成");


        Long advertiserId29 = 4671444986L;
        String token29 = tokenService.getOuthTokenAccountId(60884643L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId29, token29);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId30 = 4672925358L;
        String token30 = tokenService.getOuthTokenAccountId(60947720L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId30, token30);
        log.info("------【获取罗盘绑定广告主列】执行完成");


        Long advertiserId31 = 4671442987L;
        String token31 = tokenService.getOuthTokenAccountId(60879803L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId31, token31);
        log.info("------【获取罗盘绑定广告主列】执行完成");


        Long advertiserId32 = 4671444986L;
        String token32 = tokenService.getOuthTokenAccountId(60882219L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId32, token32);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId33 = 4672925358L;
        String token33 = tokenService.getOuthTokenAccountId(60945875L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId33, token33);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId34 = 4683344290L;
        String token34 = tokenService.getOuthTokenAccountId(61615862L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId34, token34);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId35 = 4683356399L;
        String token35 = tokenService.getOuthTokenAccountId(61619372L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId35, token35);
        log.info("------【获取罗盘绑定广告主列】执行完成");


        Long advertiserId36 = 4683378612L;
        String token36 = tokenService.getOuthTokenAccountId(61626831L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId36, token36);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId37 = 4683387989L;
        String token37 = tokenService.getOuthTokenAccountId(61629632L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId37, token37);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId38 = 4683389534L;
        String token38 = tokenService.getOuthTokenAccountId(61629984L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId38, token38);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId39 = 4683392754L;
        String token39 = tokenService.getOuthTokenAccountId(61630368L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId39, token39);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId40 = 4683424060L;
        String token40 = tokenService.getOuthTokenAccountId(61641448L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId40, token40);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId41 = 4683425725L;
        String token41 = tokenService.getOuthTokenAccountId(61642956L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId41, token41);
        log.info("------【获取罗盘绑定广告主列】执行完成");

        Long advertiserId42 = 4683428658L;
        String token42 = tokenService.getOuthTokenAccountId(61643729L);
        compassBindAdvertisersService.openapiGwUcV1Advertisers(advertiserId42, token42);
        log.info("------【获取罗盘绑定广告主列】执行完成");*/








    }

    private String getToken(String accountId) {
        CompassBindAdvertisers advertiser = compassBindAdvertisersService.getByAccountId(accountId);
        if (Check.isNull(advertiser)) {
            return null;
        }
        String token = null;
        String corporationName = advertiser.getCorporationName();
        if (!Check.isNull(corporationName) && corporationName.contains("骄阳")) {
            //723 骄阳token
            token = tokenService.getAgentTokenByAgentId(723L);
        } else {
            //汇创
            token = tokenService.getAgentTokenByAgentId(14L);
        }
        return token;
    }

    /**
     * 获取罗盘绑定广告主今日计划日报表
     */
    @XxlJob("compassAdNowDayCampaignDailyReport")
    public void compassAdNowDayCampaignDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！,accountId:{}", accountId);
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersCampaignReportDaily(
                                Long.valueOf(accountId), token, nowDate, nowDate, 1);
                    }
                });
    }

    /**
     * 获取罗盘绑定广告主昨日日计划日报表
     */
    @XxlJob("compassAdYesterdayCampaignDailyReport")
    public void compassAdYesterdayCampaignDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterday = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersCampaignReportDaily(
                                Long.valueOf(accountId), token, yesterday, yesterday, 1);
                    }
                });
    }

    /**
     * 获取罗盘绑定广告主今日广告组日报表
     */
    @XxlJob("compassAdNowDayUnitDailyReport")
    public void compassAdNowDayUnitDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }

        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersUnitReportDaily(
                                Long.valueOf(accountId), token, nowDate, nowDate, 1);
                    }
                });
    }

    /**
     * 获取罗盘绑定广告主昨日广告组日报表
     */
    @XxlJob("compassAdYesterdayUnitDailyReport")
    public void compassAdYesterdayUnitDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterday = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersUnitReportDaily(
                                Long.valueOf(accountId), token, yesterday, yesterday, 1);
                    }
                });
    }

    /**
     * 获取罗盘绑定广告主今日素材日报表
     */
    @XxlJob("compassAdNowDayVideosDailyReport")
    public void compassAdNowDayVideosDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }

        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersVideosReportDaily(
                                Long.valueOf(accountId), token, nowDate, nowDate, 1);
                    }
                });
    }

    /**
     * 获取罗盘绑定广告主昨日素材日报表
     */
    @XxlJob("compassAdYesterdayVideosDailyReport")
    public void compassAdYesterdayVideosDailyReport() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterday = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
        campaignExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getCompassAdvertisersVideosReportDaily(
                                Long.valueOf(accountId), token, yesterday, yesterday, 1);
                    }
                });
    }


    private static ExecutorService nowExecutorService = Executors.newFixedThreadPool(5);

    @Autowired
    private IKuaishouVideoListService videoListService;

    /**
     * 当日视频物料
     *
     * @throws Exception
     */
    @XxlJob("compassNowDayVideoList")
    public void compassNowDayVideoList() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        nowExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getVideoList(Long.valueOf(accountId), token, nowDate, nowDate, 1);
                    }
                });
    }

    /**
     * 昨天日视频物料
     *
     * @throws Exception
     */
    @XxlJob("compassYesterdayVideoList")
    public void compassYesterdayVideoList() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterday = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
        nowExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getVideoList(Long.valueOf(accountId), token, yesterday, yesterday, 1);
                    }
                });
    }

    /**
     * 无时间，取全部
     *
     * @throws Exception
     */
    @XxlJob("compassAllVideoList")
    public void compassAllVideoList() throws Exception {
        String accountId = XxlJobHelper.getJobParam(); // 执行参数
        if (Check.isNull(accountId)) {
            log.error("入参为空");
            return;
        }
        String token = getToken(accountId);
        if (Check.isNull(token)) {
            log.error("token 为空 ！！！");
            return;
        }
        nowExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        compassBindAdvertisersService.getVideoList(Long.valueOf(accountId), token, null, null, 1);
                    }
                });
    }
}
